﻿using System;
using System.Web;
using VeteransAffairs.Registries.BusinessManager;

public partial class _Default : BasePage
{
    private UserAccountManager _user = (UserAccountManager)HttpContext.Current.User;

    protected void Page_Load(object sender, EventArgs e)
    {
        RedirectBasedOnUserRole();
    }
    public override string TopMenuName()
    {
        return "Dashboard";
    }
    public override string MenuItemName()
    {
        return "Dashboard";
    }
    public override string AppObjectCode()
    {
        return "BCCCR DEFAULT";
    }

    /// <summary>
    /// This function sets Redirects based on the user role.
    /// </summary>
    private void RedirectBasedOnUserRole()
    {
        string defaultPage = MenuBuilder.GetDefaultPageForUserRole();

        if (defaultPage != "")
        {
            Response.Redirect(defaultPage);
        }
        
    }

}

