﻿<%@ Page Title="" Language="C#" AutoEventWireup="true" CodeFile="AdHoc.aspx.cs"
    Inherits="AdHoc" MasterPageFile="~/Registry.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">


    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            //this focuses context menus for 508 compliance
            function focusFilterMenu(sender, args) {
                filterMenuShowing(sender, args);
                window.setTimeout(function () { args.get_menu().get_items().getItem(0).blur(); args.get_menu().get_items().getItem(0).focus(); }, 1);
            }

            // Hide unwanted menu items
            var column = null;
            var columnName = null;

            function UpdateMenu(items, options) {
                var i = 0;
                while (i < items.get_count()) {

                    if (!(items.getItem(i).get_value() in options)) {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(false);
                    }
                    else {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(true);
                    }

                    i++;
                }
            }

            function MenuShowing(sender, args) {
                if (column == null) return;
                if (columnName == null) return;

                var menu = sender;
                var items = menu.get_items();

                if (columnName == "age" || columnName == "Date_Surgery_Performed") {
                    UpdateMenu(items, { 'NoFilter': '', 'EqualTo': '', 'GreaterThanOrEqualTo': '', 'LessThanOrEqualTo': '' })
                }
                else if (columnName == "Patient_Name" || columnName == "patient_zip" || columnName == "Patient_SSN" ||
                         columnName == "procedure_location" || columnName == "Patient_Address" || columnName == "Home_Phone") {
                    UpdateMenu(items, { 'NoFilter': '', 'Contains': '' })
                }

                column = null;
                columnName = null;
                menu.repaint();
            }

            function filterMenuShowing(sender, eventArgs) {
                column = eventArgs.get_column();
                columnName = eventArgs.get_column().get_uniqueName();
            }

            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }

            function OnClientSelectedIndexChanged(sender, args) {
                args.get_item().set_checked(args.get_item().get_selected());
            }

        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rcbFac">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="btnRunReport" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgAdHoc">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgAdHoc" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRunReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgAdHoc" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rcbVisn">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rcbFac" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnPrint">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="lblVisn" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="rcbVisn" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="lblFac" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="rcbFac" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="pnlCohort" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="btnRunReport" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="pnlDescription" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="pnlAccessibility" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="br2" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="br3" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="br4" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="WebBlue" />
    <a href="content" tabindex="1"></a>  
    <table>
        <tr>
            <td>
                <table>
                <tr>
                    <td>
                        <asp:Label runat="server" ID="lblVisn" Text="Select VISN:" AssociatedControlID="rcbVisn" />
                        <telerik:RadComboBox ID="rcbVisn" runat="server" Width="350px" AccessKey="v" TabIndex="3"
                            AutoPostBack="true" OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label runat="server" ID="lblFac" Text="Select Station / Healthcare System:" AssociatedControlID="rcbFac" />
                        <telerik:RadComboBox ID="rcbFac" runat="server" Width="350px" AccessKey="v" TabIndex="3"
                            AutoPostBack="true" OnSelectedIndexChanged="rcbFac_SelectedIndexChanged" Enabled="false" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Panel ID="pnlCohort" runat="server" GroupingText="Select the Cohort" Width="600">
                    <table>    
                        <tr>
                            <td>
                                <asp:Label runat="server" ID="Label5" Text="Age:" AssociatedControlID="rlbAge" />
                            </td>
                            <td>
                                <asp:Label runat="server" ID="Label6" Text="Race:" AssociatedControlID="rlbRace" />
                            </td>
                            <td>
                                <asp:Label runat="server" ID="Label7" Text="Gender:" AssociatedControlID="rlbGender" />
                            </td>
                            <td>
                                <asp:Label runat="server" ID="Label1" Text="Birads:" AssociatedControlID="rlbBirads" />
                            </td>
                        </tr>                    
                        <tr>
                            <td>
                                <telerik:RadListBox runat="server" ID="rlbAge" CheckBoxes="true" 
                                    OnClientSelectedIndexChanged="OnClientSelectedIndexChanged">
                                    <Items>
                                        <telerik:RadListBoxItem Text="0-30" Value="0" />
                                        <telerik:RadListBoxItem Text="31-40" Value="1" />
                                        <telerik:RadListBoxItem Text="41-50" Value="2" />
                                        <telerik:RadListBoxItem Text="51-64" Value="3" />
                                        <telerik:RadListBoxItem Text="65+" Value="4" />
                                    </Items>
                                </telerik:RadListBox>
                            </td>
                            <td>
                                <telerik:RadListBox runat="server" ID="rlbRace" CheckBoxes="true" Width="100%" 
                                    OnClientSelectedIndexChanged="OnClientSelectedIndexChanged">
                                </telerik:RadListBox>
                            </td>
                            <td>                                
                                <telerik:RadListBox runat="server" ID="rlbGender" CheckBoxes="true" 
                                    OnClientSelectedIndexChanged="OnClientSelectedIndexChanged">
                                </telerik:RadListBox>
                            </td>
                            <td>
                                <telerik:RadListBox runat="server" TabIndex="6" ID="rlbBirads" CheckBoxes="true">
                                    <Items>
                                        <telerik:RadListBoxItem Text="0" Value="0" />
                                        <telerik:RadListBoxItem Text="1" Value="1" />
                                        <telerik:RadListBoxItem Text="2" Value="2" />
                                        <telerik:RadListBoxItem Text="3" Value="3" />
                                        <telerik:RadListBoxItem Text="4" Value="4" />
                                        <telerik:RadListBoxItem Text="5" Value="5" />
                                        <telerik:RadListBoxItem Text="6" Value="6" />
                                    </Items>
                                </telerik:RadListBox>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Button runat="server" ID="btnRunReport" Text="Run Report" OnClick="btnReport_Click"
                            ToolTip="Run Report" Enabled="false" TabIndex="6" />
                    </td>
                </tr>
            </table>
            </td>
            <td>
                <table cellspacing="10px" cellpadding="10px" border="0">
                    <tr>
                        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <asp:Panel ID="pnlDescription" runat="server" GroupingText="Summary Report Description">
                                <asp:Label ID="Label4" runat="server" Font-Italic="true">
                                    Placeholder Description
                                </asp:Label>
                            </asp:Panel>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>

    <asp:Panel ID="pnlAccessibility" runat="server">
        <br />
        <br />
        <asp:Label runat="server" ID="lblAccessibility" TabIndex="7" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />
        <br />
        <br />
    </asp:Panel>
    <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS"
        OnClick="btnExport_Click" ToolTip="Export to Excel" TabIndex="8" Visible="false" />
    <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" ToolTip="Export to PDF"
        OnClick="btnExport_Click" TabIndex="10" Visible="false" />
    <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" ToolTip="Export to DOC"
        OnClick="btnExport_Click" TabIndex="11" Visible="false" />
    <telerik:RadGrid ID="rgAdHoc" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
        EnableLinqExpressions="false" ShowStatusBar="true" OnItemCommand="rgAdHoc_ItemCommand"
        TabIndex="12" OnNeedDataSource="rgAdHoc_NeedDataSource" OnItemDataBound="rgAdHoc_ItemDataBound"
        OnItemCreated="rgAdHoc_ItemCreated" OnExcelMLExportStylesCreated="rgAdHoc_ExcelMLExportStylesCreated"
        OnExcelMLExportRowCreated="rgAdHoc_ExcelMLExportRowCreated" OnPreRender="rgAdHoc_PreRender">
        <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="true" AllowSorting="true"
            AllowPaging="true" CommandItemDisplay="Top" TabIndex="13" Width="800" PageSize="10"
            ShowHeadersWhenNoRecords="true" AllowMultiColumnSorting="false" DataKeyNames="Patient_ID">
            <SortExpressions>
                <telerik:GridSortExpression FieldName="primary_care_physician" SortOrder="Ascending" />
            </SortExpressions>
            <CommandItemTemplate>
                <asp:Button runat="server" ID="btnReset" Text="Clear Column Filters" CommandName="Reset"
                    ToolTip="Clear Column Filters" />
                <asp:Button runat="server" ID="btnPrint" Text="Print View" CommandName="Print"
                    ToolTip="Print Details" Visible="false" />
            </CommandItemTemplate>
            <NoRecordsTemplate>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="14">There are no results with the selected filters.  Please search again.</asp:Label>
                        </td>
                    </tr>
                </table>
            </NoRecordsTemplate>
            <ColumnGroups>
                <telerik:GridColumnGroup HeaderText="Team / Provider" Name="provider" />
                <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                <telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />
            </ColumnGroups>
            <Columns>
                <telerik:GridEditCommandColumn UniqueName="EditCommandColumn" EditText="Details">
                </telerik:GridEditCommandColumn>
                <custom:CustomFilteringColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                    FilterControlAltText="Filter for PACT Team" FilterControlToolTip="Filter for PACT Team"
                    HeaderTooltip="PACT Team Column" FilterControlWidth="100" ColumnGroupName="provider" 
                    HeaderButtonType="None" EmptyDataText="Unassigned PACT Team"  />
                <custom:CustomFilteringColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                    HeaderText="Provider Name" FilterControlAltText="Filter for Provider" FilterControlToolTip="Filter for Provider"
                    HeaderTooltip="Provider Column" FilterControlWidth="75" ColumnGroupName="provider"
                    EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="Patient_Name" UniqueName="Patient_Name" HeaderText="Last Name, First"
                    FilterControlAltText="Filter Textbox for Patient Name" FilterControlToolTip="Filter Textbox for Patient Name"
                    HeaderTooltip="Patient Name Column" ColumnGroupName="patient" CurrentFilterFunction="Contains"
                    HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Patient_SSN" UniqueName="Patient_SSN" HeaderText="Last 4"
                    FilterControlAltText="Filter Textbox for Patient Last 4" FilterControlToolTip="Filter Textbox for Last 4"
                    HeaderTooltip="Last 4 Column" ColumnGroupName="patient" FilterControlWidth="50" HeaderButtonType="None">
                </telerik:GridBoundColumn>

                <telerik:GridBoundColumn DataField="age" UniqueName="age" HeaderText="Age" FilterControlAltText="Filter Textbox for Patient Age"
                    FilterControlToolTip="Filter Textbox for Age" HeaderTooltip="Age Column" ColumnGroupName="demo"
                    FilterControlWidth="30" HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="race" UniqueName="race" FilterControlAltText="Filter Dropdown for Patient Race"
                    FilterControlToolTip="Filter Dropdown for Race" HeaderText="Race" HeaderTooltip="Race Column"
                    FilterControlWidth="75" ColumnGroupName="demo" HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="gender" UniqueName="gender" HeaderText="Gender"
                    FilterControlAltText="Filter Dropdown for Patient Gender" FilterControlToolTip="Filter Dropdown for Gender"
                    HeaderTooltip="Gender Column" ColumnGroupName="demo" FilterControlWidth="50" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="Patient_Address" UniqueName="Patient_Address" HeaderText="Address"
                    FilterControlAltText="Filter Textbox for Patient Address" FilterControlToolTip="Filter Textbox for Patient Address"
                    HeaderTooltip="Patient Address Column" ColumnGroupName="demo" FilterControlWidth="30" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="Home_Phone" UniqueName="Home_Phone" HeaderText="Home Phone"
                    FilterControlAltText="Filter Textbox for Patient Home Phone" FilterControlToolTip="Filter Textbox for Patient Home Phone"
                    HeaderTooltip="Patient Home Phone Column" ColumnGroupName="demo" FilterControlWidth="30" HeaderButtonType="None" />

            </Columns>
            <EditFormSettings UserControlName="./controls/AdHoc.ascx" EditFormType="WebUserControl" CaptionFormatString="Details">
                <EditColumn UniqueName="EditCommandColumn1">
                </EditColumn>
            </EditFormSettings>
        </MasterTableView>
        
        <ClientSettings AllowKeyboardNavigation="true">
            <Selecting AllowRowSelect="true" />
            <ClientEvents OnFilterMenuShowing="focusFilterMenu" OnRowDblClick="RowDblClick" />
            <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
        </ClientSettings>
        <FilterMenu OnClientShowing="MenuShowing" />
        <PagerStyle Mode="NextPrevAndNumeric" />
    </telerik:RadGrid>

</asp:Content>

