﻿<%@ Page Title="" Language="C#" AutoEventWireup="true" CodeFile="AdHoc_Results.aspx.cs"
    Inherits="AdHoc_Results" MasterPageFile="~/Registry.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            //this focuses context menus for 508 compliance
            function focusFilterMenu(sender, args) {
                filterMenuShowing(sender, args);
                window.setTimeout(function () { args.get_menu().get_items().getItem(0).blur(); args.get_menu().get_items().getItem(0).focus(); }, 1);
            }

            // Hide unwanted menu items
            var column = null;
            var columnName = null;

            function UpdateMenu(items, options) {
                var i = 0;
                while (i < items.get_count()) {

                    if (!(items.getItem(i).get_value() in options)) {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(false);
                    }
                    else {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(true);
                    }

                    i++;
                }
            }

            function MenuShowing(sender, args) {
                if (column == null) return;
                if (columnName == null) return;

                var menu = sender;
                var items = menu.get_items();

                if (columnName == "age") {
                    UpdateMenu(items, { 'NoFilter': '', 'EqualTo': '', 'GreaterThanOrEqualTo': '', 'LessThanOrEqualTo': '' })
                }
                else if (columnName == "Patient_Name" || columnName == "patient_zip" || columnName == "Patient_SSN" ||
                         columnName == "mam_zip") {
                    UpdateMenu(items, { 'NoFilter': '', 'Contains': '' })
                }

                column = null;
                columnName = null;
                menu.repaint();
            }

            function filterMenuShowing(sender, eventArgs) {
                column = eventArgs.get_column();
                columnName = eventArgs.get_column().get_uniqueName();
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rgAllMamDue">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgAllMamDue" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="WebBlue" />
    <a href="content" tabindex="1"></a>
<br />
    <asp:Label runat="server" ID="lblAccessibility" TabIndex="7" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />
    <br />
    <br />
    <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS"
        OnClick="btnExport_Click" ToolTip="Export to Excel" TabIndex="8" />
    <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" ToolTip="Export to CSV"
        OnClick="btnExport_Click" TabIndex="9" />
    <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" ToolTip="Export to DOC"
        OnClick="btnExport_Click" TabIndex="11" />
    <telerik:RadGrid ID="rgAllMamDue" runat="server" 
        ShowGroupPanel="false"
        EnableLinqExpressions="false" ShowStatusBar="true" 
        OnItemCommand="rgAllMamDue_ItemCommand"
        TabIndex="12" 
        OnNeedDataSource="rgAllMamDue_NeedDataSource" 
        OnExcelMLExportStylesCreated="rgAllMamDue_ExcelMLExportStylesCreated"
        OnExcelMLExportRowCreated="rgAllMamDue_ExcelMLExportRowCreated">
        <MasterTableView AutoGenerateColumns="true"
            AllowFilteringByColumn="true" AllowSorting="true" AllowPaging="true" CommandItemDisplay="Top"
            TabIndex="12" Width="800" PageSize="10" ShowHeadersWhenNoRecords="true">
            <NoRecordsTemplate>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="14">There are no results with the selected filters.  Please search again.</asp:Label></td>
                    </tr>
                </table>
            </NoRecordsTemplate>
            <CommandItemTemplate>
                <asp:Button runat="server" ID="btnReset" Text="Clear Filters" CommandName="Reset"
                    ToolTip="Clear Filters" />
            </CommandItemTemplate>
        </MasterTableView>
        <ClientSettings AllowKeyboardNavigation="true">
            <Selecting AllowRowSelect="true" />
            <ClientEvents OnFilterMenuShowing="focusFilterMenu" />
            <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
        </ClientSettings>
        <FilterMenu OnClientShowing="MenuShowing" />
        <PagerStyle Mode="NextPrevAndNumeric" />
    </telerik:RadGrid>
</asp:Content>
