﻿using System;
using System.Data;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using VeteransAffairs.Registries.BusinessManager;
using CustomFilter;

public partial class AdHoc_Results : BasePage
{

    #region Intialize Variables
    private string _userId;
    bool isExport = false;
    #endregion

    #region Page Events
    protected void Page_Load(object sender, EventArgs e)
    {
    
    }
    #endregion


    #region Report Grid Events

    protected void rgAllMamDue_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
    }

    protected void rgAllMamDue_ItemCommand(object source, Telerik.Web.UI.GridCommandEventArgs e)
    {
        try
        {
            //Used for drill downs if needed
            //On row click, gather the row's info and set the session for selecteduser
            if ((e.CommandName == "RowClick" || e.CommandName == "Edit") && e.Item is GridDataItem)
            {
                //insert logic here
                //****
                //cancels edit form
                e.Canceled = true;
            }
            if (e.CommandName == RadGrid.FilterCommandName)
            {
                Pair filterPair = (Pair)e.CommandArgument;

                switch (filterPair.Second.ToString())
                {
                    case "date_of_last_mammogram":
                        this.startDate = ((e.Item as GridFilteringItem)[filterPair.Second.ToString()].FindControl("FromDatePicker") as RadDatePicker).SelectedDate;
                        this.endDate = ((e.Item as GridFilteringItem)[filterPair.Second.ToString()].FindControl("ToDatePicker") as RadDatePicker).SelectedDate;
                        break;
                    default:
                        break;
                }
            }
            if (e.CommandName == "Reset")
            {
                foreach (GridColumn column in rgAllMamDue.MasterTableView.OwnerGrid.Columns)
                {
                    column.CurrentFilterFunction = GridKnownFunction.NoFilter;
                    column.CurrentFilterValue = string.Empty;
                }
                rgAllMamDue.MasterTableView.FilterExpression = "";
                rgAllMamDue.Rebind();
            }
        }
        catch (Exception ex)
        {
            Logging.WriteLogToFile(_userId, ex);
        }
    }

    protected void rgAllMamDue_ItemCreated(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridFilteringItem && isExport)
            e.Item.Visible = false;
    }

    #region Export

    protected void btnExport_Click(object sender, EventArgs e)
    {
        isExport = true;
        ConfigureExport();
        switch (((Button)sender).CommandName)
        {
            case "XLS":
                rgAllMamDue.MasterTableView.ExportToExcel();
                break;
            case "CSV":
                rgAllMamDue.MasterTableView.ExportToCSV();
                break;
            case "PDF":
                rgAllMamDue.MasterTableView.ExportToPdf();
                break;
            case "DOC":
                rgAllMamDue.MasterTableView.ExportToWord();
                break;
        }
    }

    protected void rgAllMamDue_ExcelMLExportRowCreated(object source, Telerik.Web.UI.GridExcelBuilder.GridExportExcelMLRowCreatedArgs e)
    {
        if (e.RowType == Telerik.Web.UI.GridExcelBuilder.GridExportExcelMLRowType.DataRow)
        {
            if (e.Row.Cells[0] != null && ((string)e.Row.Cells[0].Data.DataItem).Contains("U"))
            {
                e.Row.Cells[0].StyleValue = "MyCustomStyle";
            }
        }
    }
 
    protected void rgAllMamDue_ExcelMLExportStylesCreated(object source, Telerik.Web.UI.GridExcelBuilder.GridExportExcelMLStyleCreatedArgs e)
    {
        foreach (Telerik.Web.UI.GridExcelBuilder.StyleElement style in e.Styles)
        {
            if (style.Id == "headerStyle")
            {
                style.FontStyle.Bold = true;
                style.FontStyle.Color = System.Drawing.Color.Gainsboro;
                style.InteriorStyle.Color = System.Drawing.Color.Wheat;
                style.InteriorStyle.Pattern = Telerik.Web.UI.GridExcelBuilder.InteriorPatternType.Solid;
            }
            else if (style.Id == "itemStyle")
            {
                style.InteriorStyle.Color = System.Drawing.Color.WhiteSmoke;
                style.InteriorStyle.Pattern = Telerik.Web.UI.GridExcelBuilder.InteriorPatternType.Solid;
            }
            else if (style.Id == "alternatingItemStyle")
            {
                style.InteriorStyle.Color = System.Drawing.Color.LightGray;
                style.InteriorStyle.Pattern = Telerik.Web.UI.GridExcelBuilder.InteriorPatternType.Solid;
            }
        }

        Telerik.Web.UI.GridExcelBuilder.StyleElement myStyle = new Telerik.Web.UI.GridExcelBuilder.StyleElement("MyCustomStyle");
        myStyle.FontStyle.Bold = true;
        myStyle.FontStyle.Italic = true;
        myStyle.InteriorStyle.Color = System.Drawing.Color.Gray;
        myStyle.InteriorStyle.Pattern = Telerik.Web.UI.GridExcelBuilder.InteriorPatternType.Solid;
        e.Styles.Add(myStyle);
    }

    public void ConfigureExport()
    {

        rgAllMamDue.ExportSettings.ExportOnlyData = true;
        rgAllMamDue.ExportSettings.IgnorePaging = true;
        rgAllMamDue.ExportSettings.OpenInNewWindow = true;
        rgAllMamDue.ExportSettings.HideStructureColumns = true;

        rgAllMamDue.ExportSettings.Pdf.PageHeight = Unit.Parse("210mm");
        rgAllMamDue.ExportSettings.Pdf.PageWidth = Unit.Parse("400mm");
    }
    #endregion


    #region Properties used in filters
    protected DateTime? startDate
    {
        set
        {
            ViewState["strD"] = value;
        }
        get
        {
            if (ViewState["strD"] != null)
                return (DateTime)ViewState["strD"];
            else
                return null;
        }
    }
    protected DateTime? endDate
    {
        set
        {
            ViewState["endD"] = value;
        }
        get
        {
            if (ViewState["endD"] != null)
                return (DateTime)ViewState["endD"];
            else
                return null;
        }
    }
    #endregion

    protected void rgAllMamDue_ItemDataBound(object sender, GridItemEventArgs e)
    {
        try
        {
            if (e.Item is GridHeaderItem)
            {
                //add access keys to header items for 508
                GridHeaderItem hi = (GridHeaderItem)e.Item;

                //LinkButton pn = (LinkButton)hi["OrderingPhysician"].Controls[0];
                //pn.AccessKey = "p";

                //LinkButton ln = (LinkButton)hi["PatientLastName"].Controls[0];
                //ln.AccessKey = "n";

                //LinkButton fn = (LinkButton)hi["PatientFirstName"].Controls[0];
                //fn.AccessKey = "f";

                //LinkButton ssn = (LinkButton)hi["PatientSSN"].Controls[0];
                //ssn.AccessKey = "u";

                //add tableheader scope for 508
                //TableCell tcFirstName = hi.Cells[7];
                //tcFirstName.Attributes.Add("scope", "col");
            }

            if (e.Item is GridFilteringItem)
            {
                //Add tooltip to SSN column for 508
                //GridFilteringItem filterItem = (GridFilteringItem)e.Item;
                ////have to do this here because can't in custom column on front end
                ////***index may change***
                ////filterItem.Cells[5].ToolTip = "Filter Textbox for SSN";

                ////set tooltips for each filter button for 508
                ////Button btnPN = (Button)filterItem["OrderingPhysician"].Controls[1];
                ////btnPN.ToolTip = "Filter Physician Name";

                //Button btnLN = (Button)filterItem["PatientLastName"].Controls[1];
                //btnLN.ToolTip = "Filter Last Name";

                //Button btnFN = (Button)filterItem["PatientFirstName"].Controls[1];
                //btnFN.ToolTip = "Filter First Name";

                //Button btnSSN = (Button)filterItem["PatientSSN"].Controls[1];
                //btnSSN.ToolTip = "Filter SSN";
            }

            if (e.Item is GridDataItem)
            {
                //add tool tip to edit row image for 508
                GridDataItem item = (GridDataItem)e.Item;
                //add access keys to row items for 508
                item.Attributes.Add("scope", "row");
            }

            if (isExport && e.Item is GridDataItem)
            {
                foreach (TableCell cell in e.Item.Cells)
                {
                    //Approach 1
                    cell.Style["mso-number-format"] = @"\@";

                    //Approach 2
                    //cell.Style["mso-number-format"] = @"00000000";

                    //Approach 3
                    //cell.Text = " " + cell.Text;
                }
            }
        }
        catch (Exception ex)
        {
            Logging.WriteLogToFile(_userId, ex);
        }

    }

    #endregion

    #region GUI Overides
    //these need to be added to MenuBuilder.cs BuildDynamicNavigationItems method
    public override string TopMenuName()
    {
        return "Reporting";
    }

    public override string MenuItemName()
    {
        return "BCR All Mammograms Due Report";
    }

    public override string AppObjectCode()
    {
        return "BCR_STANDARD_REPORTS";
    }
    #endregion



}