﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="AllMammogram_Abnormal_Rpt.aspx.cs" Inherits="Reports_AllMammogram_Abnormal_Rpt" MasterPageFile="~/Registry.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }

            //this focuses context menus for 508 compliance
            function focusFilterMenu(sender, args) {
                filterMenuShowing(sender, args);
                window.setTimeout(function () { args.get_menu().get_items().getItem(0).blur(); args.get_menu().get_items().getItem(0).focus(); }, 1);
            }

            // Hide unwanted menu items
            var column = null;
            var columnName = null;

            function UpdateMenu(items, options) {
                var i = 0;
                while (i < items.get_count()) {

                    if (!(items.getItem(i).get_value() in options)) {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(false);
                    }
                    else {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(true);
                    }

                    i++;
                }
            }

            function MenuShowing(sender, args) {
                if (column == null) return;
                if (columnName == null) return;

                var menu = sender;
                var items = menu.get_items();

                if (columnName == "age") {
                    UpdateMenu(items, { 'NoFilter': '', 'EqualTo': '', 'GreaterThanOrEqualTo': '', 'LessThanOrEqualTo': '' })
                }
                else if (columnName == "Patient_Name" || columnName == "patient_zip" || columnName == "Patient_SSN" ||
                         columnName == "procedure_location" || columnName == "patient_phone" || columnName == "patient_address") {
                    UpdateMenu(items, { 'NoFilter': '', 'Contains': '' })
                }

                column = null;
                columnName = null;
                menu.repaint();
            }

            function filterMenuShowing(sender, eventArgs) {
                column = eventArgs.get_column();
                columnName = eventArgs.get_column().get_uniqueName();
            }

            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadSkinManager ID="QsfSkinManager" runat="server" ShowChooser="false" Skin="Office2010Blue" />
    <%--<telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rgAllMammos">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgAllMammos" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRunReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgAllMammos" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="lblExecutionTime" LoadingPanelID="ralp1" UpdatePanelRenderMode="Inline" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnClearReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlAdvancedSearch" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="rgAllMammos" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="lblExecutionTime" LoadingPanelID="ralp1" UpdatePanelRenderMode="Inline" />
                </UpdatedControls>
            </telerik:AjaxSetting>

            <telerik:AjaxSetting AjaxControlID="rcbVisn">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rcbFac" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>

            <telerik:AjaxSetting AjaxControlID="rcbFac">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="btnRunReport" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="Office2010Blue" />--%>

    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 250px; vertical-align: top; background-color: #F5F5F5;">
                <!--Start Filters-->
                <asp:Panel ID="pnlAdvancedSearch" runat="server">
                    <h2>Search Filters:</h2>
                    <br />
                    <asp:Label runat="server" ID="lblVisn" Text="Select VISN:" AssociatedControlID="rcbVisn" /><br />
                    <telerik:RadComboBox ID="rcbVisn" runat="server" Width="100%" AccessKey="v" TabIndex="3"
                        AutoPostBack="true" OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" OnClientSelectedIndexChanged="ShowProgress" />
                    <br />
                    <br />
                    <asp:Label runat="server" ID="lblFac" Text="Select Station / Healthcare System:" AssociatedControlID="rcbFac" /><br />
                    <telerik:RadComboBox ID="rcbFac" runat="server" Width="100%" AccessKey="v" TabIndex="3"
                        AutoPostBack="true" OnSelectedIndexChanged="rcbFac_SelectedIndexChanged" OnClientSelectedIndexChanged="ShowProgress" Enabled="false" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblStartDate" Text="Start Date:" AssociatedControlID="rdpStartDate" /><br />
                    <telerik:RadDatePicker ID="rdpStartDate" runat="server" ZIndex="30001" TabIndex="4" Width="100%" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblEndDate" Text="End Date:" AssociatedControlID="rdpEndDate" /><br />
                    <telerik:RadDatePicker ID="rdpEndDate" runat="server" ZIndex="30001" TabIndex="5" Width="100%" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblShowLatest" Text="Show Only Latest Entries:" AssociatedControlID="chkShowLatest" />
                    <asp:CheckBox ID="chkShowLatest" runat="server" Checked="true" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblBiRadsList" Text="Bi-RADS Codes: (select and deselect with Ctrl-Click)" AssociatedControlID="rlbBiRadsList" />
                    <br />
                    <telerik:RadListBox ID="rlbBiRadsList" runat="server" TabIndex="6" SelectionMode="Multiple" Width="100%">
                        <Items>
                            <telerik:RadListBoxItem Text="0" Value="0" />
                            <telerik:RadListBoxItem Text="1" Value="1" />
                            <telerik:RadListBoxItem Text="2" Value="2" />
                            <telerik:RadListBoxItem Text="3" Value="3" />
                            <telerik:RadListBoxItem Text="4" Value="4" />
                            <telerik:RadListBoxItem Text="5" Value="5" />
                            <telerik:RadListBoxItem Text="6" Value="6" />
                        </Items>
                    </telerik:RadListBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="Label1" Text="Age Restriction:" AssociatedControlID="rddlAgeRestriction" />
                    <br />
                    <telerik:RadComboBox ID="rddlAgeRestriction" runat="server" TabIndex="6" Width="100%">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadComboBoxItem Text="0-30" Value="0-30" />
                            <telerik:RadComboBoxItem Text="31-40" Value="31-40" />
                            <telerik:RadComboBoxItem Text="41-50" Value="41-50" />
                            <telerik:RadComboBoxItem Text="51-60" Value="51-60" />
                            <telerik:RadComboBoxItem Text="61-64" Value="61-64" />
                            <telerik:RadComboBoxItem Text="65-74" Value="65-74" />
                            <telerik:RadComboBoxItem Text="Over 74" Value="Over 74" />
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblPatientName" Text="Patient Name (contains):" AssociatedControlID="rtbPatientName" />
                    <br />
                    <telerik:RadTextBox ID="rtbPatientName" runat="server" TextMode="SingleLine" ToolTip="Patient Name Contains:" Width="100%" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblGender" Text="Gender:" AssociatedControlID="rlbGender" />
                    <br />
                    <telerik:RadListBox ID="rlbGender" runat="server" TabIndex="6" SelectionMode="Single" Width="100%">
                        <Items>
                            <telerik:RadListBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadListBoxItem Text="F" Value="F" />
                            <telerik:RadListBoxItem Text="M" Value="M" />
                        </Items>
                    </telerik:RadListBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblRace" Text="Race:" AssociatedControlID="rcbRace" />
                    <br />
                    <telerik:RadComboBox ID="rcbRace" runat="server" TabIndex="6" Width="100%">
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblProviderName" Text="Provider Name (contains):" AssociatedControlID="rtbProviderName" />
                    <br />
                    <telerik:RadTextBox ID="rtbProviderName" runat="server" TextMode="SingleLine" ToolTip="Provider Name Contains:" Width="100%" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblFollowUpAction" Text="Follow-Up Action (Currently, Inactive):" AssociatedControlID="rtbFollowUpAction" />
                    <br />
                    <telerik:RadTextBox ID="rtbFollowUpAction" runat="server" TextMode="SingleLine" ToolTip="Follow-Up Action Contains:" Width="100%" Enabled="false" />
                    <br />
                    <br />
                    <table style="padding: 0px;">
                        <tr>
                            <td style="vertical-align: top; padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReport" runat="server" Enabled="false" Text="Run Report" OnClick="btnRunReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                            <td style="vertical-align: top; padding: 0px;">
                                <telerik:RadButton ID="btnClearReport" runat="server" Text="Reset" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <!--End Filters-->
                </asp:Panel>
            </td>
            <td style="vertical-align: top; padding-right: 10px;">
                <div style="text-align: right; font-size: 10pt;">
                    <asp:Label ID="lblExecutionTimeLabel" runat="server" AssociatedControlID="lblExecutionTime" Text="Execution Time:" ToolTip="Report Execution Time" Font-Size="10pt" />
                    <asp:Label ID="lblExecutionTime" runat="server" ToolTip="Length of time to execute report" Font-Size="10pt" />
                </div>

                <!--Start Export Buttons -->
                <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS"
                    OnClick="btnExport_Click" ToolTip="Export to Excel" TabIndex="8" />
                <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" ToolTip="Export to CSV"
                    OnClick="btnExport_Click" TabIndex="9" />
                <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" ToolTip="Export to PDF"
                    OnClick="btnExport_Click" TabIndex="10" Visible="true" />
                <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" ToolTip="Export to DOC"
                    OnClick="btnExport_Click" TabIndex="11" />
                <!--End Export Buttons -->

                <!--Start Grid-->
                <telerik:RadGrid ID="rgAllMammos" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                    EnableLinqExpressions="false" ShowStatusBar="true"
                    TabIndex="6" OnNeedDataSource="rgAllMammos_NeedDataSource" OnItemDataBound="rgAllMammos_ItemDataBound"
                    OnItemCreated="rgAllMammos_ItemCreated">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID"
                        AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None" PagerStyle-AlwaysVisible="true"
                        TabIndex="12" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                        </asp:Label></td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="Patient_Name" SortOrder="Ascending" />
                        </SortExpressions>
                        <ColumnGroups>
                            <telerik:GridColumnGroup HeaderText="Team / Provider" Name="provider" />
                            <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                            <telerik:GridColumnGroup HeaderText="Mammogram" Name="last_mam" />
                            <telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />
                        </ColumnGroups>
                        <Columns>
                            <telerik:GridTemplateColumn DataField="PatientSID" UniqueName="PatientSID" HeaderText="Details" HeaderTooltip="Click for More Details"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="false" Exportable="false" ShowSortIcon="false" ShowFilterIcon="false">
                                <ItemTemplate>
                                    <a href="PatientDetails.aspx?id=<%# DataBinder.Eval(Container, "DataItem.PatientSID")%>" title="Click for patient details for <%# DataBinder.Eval(Container, "DataItem.Patient_Name")%>">Details</a>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="PCMMTeam" UniqueName="team_name_Report" HeaderText="PACT Team" HeaderTooltip="PACT Team Column" ColumnGroupName="provider"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="PCMMStaffName" UniqueName="ProviderName_Report" HeaderText="Provider Name" HeaderTooltip="Provider Name Column" ColumnGroupName="provider"
                                HeaderButtonType="None" AllowFiltering="false" EmptyDataText="Unassigned Provider" Exportable="true" />

                            <telerik:GridBoundColumn DataField="Patient_Name" UniqueName="Patient_Name_Report" HeaderText="Last Name, First" HeaderTooltip="Patient Name Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="VAID" UniqueName="VAID_Report" HeaderText="VA ID" HeaderTooltip="VA ID" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridDateTimeColumn DataField="exam_date" UniqueName="MammogramDate_Report" HeaderText="Mammogram Exam Date" HeaderTooltip="Mammogram Exam Date"
                                ColumnGroupName="last_mam" AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None" Exportable="true">
                            </telerik:GridDateTimeColumn>

                            <telerik:GridBoundColumn DataField="BIRADScore" UniqueName="Bi_Rad_Code_Report" HeaderText="BI-RADS Code" HeaderTooltip="BI-RADS Code Column" ColumnGroupName="last_mam"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridDateTimeColumn DataField="DateNextMammogramDue" UniqueName="DateNextMammogramDue_Report" HeaderText="Next Mammogram Due Date" HeaderTooltip="Next Mammogram Due Date"
                                ColumnGroupName="last_mam" AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None" Exportable="true">
                            </telerik:GridDateTimeColumn>

                            <telerik:GridDateTimeColumn DataField="FollowUpAction" UniqueName="FollowUpAction_Report" HeaderText="Follow Up Action" HeaderTooltip="Follow Up Action"
                                ColumnGroupName="last_mam" AllowFiltering="false" HeaderButtonType="None" Exportable="true" EmptyDataText="SMART Data Pending">
                            </telerik:GridDateTimeColumn>

                            <telerik:GridDateTimeColumn DataField="OrderingProvider" UniqueName="OrderingProvider_Report" HeaderText="Ordering Provider" HeaderTooltip="Ordering Provider"
                                ColumnGroupName="last_mam" AllowFiltering="false" HeaderButtonType="None" Exportable="true" EmptyDataText="Missing">
                            </telerik:GridDateTimeColumn>

                            <telerik:GridBoundColumn DataField="age" UniqueName="age_Report" HeaderText="Age" HeaderTooltip="Age Column" ColumnGroupName="demo"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="Race" UniqueName="Race_Report" HeaderText="Race" HeaderTooltip="Race Column" ColumnGroupName="demo"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="gender" UniqueName="gender_Report" HeaderText="Gender" HeaderTooltip="Gender Column" ColumnGroupName="demo"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <%--<telerik:GridBoundColumn DataField="POSTAL_CODE" UniqueName="POSTAL_CODE_Report" HeaderText="Zip Code" HeaderTooltip="Zip Code Column" ColumnGroupName="demo"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />--%>
                        </Columns>
                        <EditFormSettings UserControlName="./controls/AllMammogramsDue_PD.ascx" EditFormType="WebUserControl" CaptionFormatString="Details">
                            <EditColumn UniqueName="EditCommandColumn1">
                            </EditColumn>
                        </EditFormSettings>
                    </MasterTableView>
                    <ClientSettings AllowKeyboardNavigation="true">
                        <Selecting AllowRowSelect="true" />
                        <ClientEvents OnFilterMenuShowing="focusFilterMenu" OnRowDblClick="RowDblClick" />
                        <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                    </ClientSettings>
                    <FilterMenu OnClientShowing="MenuShowing" />
                    <PagerStyle Mode="NextPrevAndNumeric" />
                </telerik:RadGrid>
                <!--End Grid-->
            </td>
        </tr>
    </table>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="../images/ajax-loader.gif" />
    </div>

</asp:Content>
