﻿<%@ Page Title="" Language="C#" AutoEventWireup="true" CodeFile="AllMammograms_Agg.aspx.cs"
    Inherits="BiRad" MasterPageFile="~/Registry.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function focusFilterMenu(sender, args) {
                window.setTimeout(function () { args.get_menu().get_items().getItem(0).blur(); args.get_menu().get_items().getItem(0).focus(); }, 1);
            }

            function onItemChecked(sender, e) {
                var item = e.get_item();
                var items = sender.get_items();
                var checked = item.get_checked();
                var firstItem = sender.getItem(0);

                if (item.get_text() == "All") {
                    items.forEach(function (itm) { itm.set_checked(checked); });
                }
                else {
                    if (sender.get_checkedItems().length == items.get_count() - 1) {
                        firstItem.set_checked(!firstItem.get_checked());
                    }
                }
            }



        </script>

    </telerik:RadCodeBlock>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rtvDivision">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rtvDivision" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="btnCreateReport" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnCreateReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="divReports" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="lblFilterSelected" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="WebBlue" />
    <asp:Panel runat="server" ID="Panel1" GroupingText="Select Division" Font-Bold="true">
        <telerik:RadTreeView runat="server" ID="rtvDivision" MultipleSelect="true" CheckBoxes="true"
            Height="300" AccessKey="t" OnNodeCheck="rtvDivision_NodeCheck" OnNodeClick="rtvDivision_NodeClick" >
            <WebServiceSettings Path="~/Reports/WebServices/DivisionWebService.asmx" Method="GetDivisions" />
        </telerik:RadTreeView>
    </asp:Panel>
    <table>
        <tr>
            <td>
                <asp:Label runat="server" ID="Label1" Text="Mammogram Date:" AssociatedControlID="rtvDivision" /><br />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="Label2" Text="From Date:" AssociatedControlID="fromDate" /><br />
                <telerik:RadDatePicker ID="fromDate" runat="server" ZIndex="30001" TabIndex="4" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_fromDate" ControlToValidate="fromDate"
                    ErrorMessage="'From Date:' is a required field" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="Label3" Text="To Date:" AssociatedControlID="toDate" /><br />
                <telerik:RadDatePicker ID="toDate" runat="server" ZIndex="30001" TabIndex="5" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_toDate" ControlToValidate="toDate"
                    ErrorMessage="'To Date:' is a required field" />

                <asp:CompareValidator runat="server" ID="dateCompareValidator" ControlToValidate="toDate"
                    ControlToCompare="fromDate" Operator="GreaterThanEqual" Type="Date"
                    ErrorMessage="'From Date:' must precede 'To Date:'" />
            </td>
        </tr>
        <tr>
            <td>
                <table>
                    <tr>

                        <td>
                            <asp:Label runat="server" ID="Label5" Text="Age:" AssociatedControlID="rlbAge" /><br />
                            <telerik:RadListBox runat="server" ID="rlbAge" TabIndex="6" CheckBoxes="true" OnClientItemChecked="onItemChecked">
                                <Items>
                                    <telerik:RadListBoxItem Text="All" Value="All" />
                                    <telerik:RadListBoxItem Text="18-29" Value="0" />
                                    <telerik:RadListBoxItem Text="30-39" Value="1" />
                                    <telerik:RadListBoxItem Text="40-49" Value="2" />
                                    <telerik:RadListBoxItem Text="50-59" Value="3" />
                                    <telerik:RadListBoxItem Text="60-74" Value="4" />
                                    <telerik:RadListBoxItem Text=">74" Value="5" />
                                </Items>
                            </telerik:RadListBox>
                        </td>
                        <td>
                            <asp:Label runat="server" ID="Label6" Text="Race:" AssociatedControlID="rlbRace" /><br />
                            <telerik:RadListBox runat="server" ID="rlbRace" TabIndex="7" CheckBoxes="true" Width="260px" OnClientItemChecked="onItemChecked" />
                        </td>
                        <td>
                            <asp:Label runat="server" ID="Label7" Text="Gender:" AssociatedControlID="rlbGender" /><br />
                            <telerik:RadListBox runat="server" ID="rlbGender" TabIndex="8" CheckBoxes="true" Width="150px" OnClientItemChecked="onItemChecked" />
                        </td>
                    </tr>
                </table>

            </td>
        </tr>
    </table>

    <table>
        <tr>
            <td>
                <asp:Button ID="btnCreateReport" runat="server" TabIndex="9" Text="Create Report" OnClick="btnGetReport_Click"
                    Enabled="false" />
                <br />
            </td>
        </tr>
    </table>

        <table>
            <tr>
                <td colspan="2">
                    <asp:Label ID="lblFilterSelected" runat="server" Style="color: darkblue; font-weight: bold" />
                </td>
            </tr>
            <tr>
                <td colspan="2">&nbsp;
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <asp:Button runat="server" TabIndex="10" ID="btnExcel" Text="Export to Excel" CommandName="XLS"
                        OnClick="btnExport_Click" ToolTip="Export to Excel" />
                    <asp:Button runat="server" ID="btnCSV" TabIndex="11" Text="Export to CSV" CommandName="CSV" ToolTip="Export to CSV"
                        OnClick="btnExport_Click" />
                    <asp:Button runat="server" ID="btnWord" TabIndex="12" Text="Export to Word" CommandName="DOC" ToolTip="Export to DOC"
                        OnClick="btnExport_Click" />
                </td>
            </tr>
        </table>
    
    <div runat="server" id="divReports">
        <table>
            <tr>
                <td colspan="2">
                    <table>
                        <tr>
                            <td>
                                <b>All Mammograms Aggregate by Selected Division</b>
                                <br />
                                <asp:Label runat="server" ID="lblAccessibility" TabIndex="13" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />

                                <telerik:RadGrid ID="rgAggregateData" runat="server" AllowMultiRowEdit="false" ShowGroupPanel="false"
                                    EnableAjaxSkinRendering="true" EnableLinqExpressions="false" ShowStatusBar="true"
                                    OnNeedDataSource="rgAggregateData_NeedDataSource" OnItemCommand="rgAggregateData_ItemCommand"
                                    TabIndex="14" AllowFilteringByColumn="false" OnItemDataBound="rgAggregateData_ItemDataBound"
                                    OnItemCreated="rgAggregateData_ItemCreated"
                                    OnExcelMLExportStylesCreated="rgAggregateData_ExcelMLExportStylesCreated" OnExcelMLExportRowCreated="rgAggregateData_ExcelMLExportRowCreated">
                                    <MasterTableView AutoGenerateColumns="false" AllowPaging="true" AllowSorting="true"
                                        CommandItemDisplay="None" TabIndex="14" Width="800" PageSize="10">
                                        <NoRecordsTemplate>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="14">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                                </tr>
                                            </table>
                                        </NoRecordsTemplate>
                                        <ColumnGroups>
                                            <telerik:GridColumnGroup HeaderText="BI-RADS Code" Name="birad" />
                                        </ColumnGroups>
                                        <Columns>
                                            <telerik:GridBoundColumn DataField="Division" UniqueName="Division" HeaderText="Division"
                                                HeaderTooltip="Division Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center">
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="TTL" UniqueName="Total" HeaderText="Total"
                                                HeaderTooltip="Total Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center">
                                            </telerik:GridBoundColumn>
                                            <telerik:GridTemplateColumn DataField="birad0" UniqueName="birad0" HeaderText="0" HeaderStyle-Wrap="false" HeaderTooltip="BI-RADS 0 Column"
                                                ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center" ColumnGroupName="birad">
                                                <ItemTemplate>
                                                    <%# FormatData("birad0") %>
                                                </ItemTemplate>
                                            </telerik:GridTemplateColumn>
                                            <telerik:GridTemplateColumn DataField="birad1" UniqueName="birad1" HeaderText="1"
                                                HeaderStyle-Wrap="false" HeaderTooltip="BI-RADS 1 Column" ItemStyle-Wrap="false"
                                                ItemStyle-HorizontalAlign="Center" ColumnGroupName="birad">
                                                <ItemTemplate>
                                                    <%# FormatData("birad1") %>
                                                </ItemTemplate>
                                            </telerik:GridTemplateColumn>
                                            <telerik:GridTemplateColumn DataField="birad2" UniqueName="birad2" HeaderText="2"
                                                HeaderStyle-Wrap="false" HeaderTooltip="BI-RADS 2 Column" ItemStyle-Wrap="false"
                                                ItemStyle-HorizontalAlign="Center" ColumnGroupName="birad">
                                                <ItemTemplate>
                                                    <%# FormatData("birad2") %>
                                                </ItemTemplate>
                                            </telerik:GridTemplateColumn>
                                            <telerik:GridTemplateColumn DataField="birad3" UniqueName="birad3" HeaderText="3"
                                                HeaderStyle-Wrap="false" HeaderTooltip="BI-RADS 3 Column" ItemStyle-Wrap="false"
                                                ItemStyle-HorizontalAlign="Center" ColumnGroupName="birad">
                                                <ItemTemplate>
                                                    <%# FormatData("birad3") %>
                                                </ItemTemplate>
                                            </telerik:GridTemplateColumn>
                                            <telerik:GridTemplateColumn DataField="birad4" UniqueName="birad4" HeaderText="4"
                                                HeaderStyle-Wrap="false" HeaderTooltip="BI-RADS 4 Column" ItemStyle-Wrap="false"
                                                ItemStyle-HorizontalAlign="Center" ColumnGroupName="birad">
                                                <ItemTemplate>
                                                    <%# FormatData("birad4") %>
                                                </ItemTemplate>
                                            </telerik:GridTemplateColumn>
                                            <telerik:GridTemplateColumn DataField="birad5" UniqueName="birad5" HeaderText="5"
                                                HeaderStyle-Wrap="false" HeaderTooltip="BI-RADS 5 Column" ItemStyle-Wrap="false"
                                                ItemStyle-HorizontalAlign="Center" ColumnGroupName="birad">
                                                <ItemTemplate>
                                                    <%# FormatData("birad5") %>
                                                </ItemTemplate>
                                            </telerik:GridTemplateColumn>
                                            <telerik:GridTemplateColumn DataField="birad6" UniqueName="birad6" HeaderText="6"
                                                HeaderStyle-Wrap="false" HeaderTooltip="BI-RADS 6 Column" ItemStyle-Wrap="false"
                                                ItemStyle-HorizontalAlign="Center" ColumnGroupName="birad">
                                                <ItemTemplate>
                                                    <%# FormatData("birad6") %>
                                                </ItemTemplate>
                                            </telerik:GridTemplateColumn>


                                        </Columns>
                                    </MasterTableView>
                                    <ClientSettings AllowKeyboardNavigation="true">
                                        <Selecting AllowRowSelect="true" />
                                        <ClientEvents OnFilterMenuShowing="focusFilterMenu" />
                                        <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                                    </ClientSettings>
                                    <PagerStyle Mode="NextPrevAndNumeric" />
                                </telerik:RadGrid>
                                <br />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr><td>&nbsp;</td></tr>
            <tr>
                <td>
                    <telerik:RadHtmlChart runat="server" IntelligentLabelsEnabled="true"  ID="rcBar" Width="800px" Height="600px" 
                         PlotArea-XAxis-LabelsAppearance-TextStyle-FontSize="10"  Visible="true">
                        <PlotArea>
                            <Series>
                                <telerik:ColumnSeries Name="0: Incomplete" Stacked="true" DataFieldY="birad0p">
                                    <TooltipsAppearance DataFormatString="{0}%" />
                                    <LabelsAppearance DataFormatString="{0}%" Position="InsideBase" />
                                </telerik:ColumnSeries>
                                <telerik:ColumnSeries Name="1: Negative" Stacked="true" DataFieldY="birad1p">
                                    <TooltipsAppearance DataFormatString="{0}%" />
                                    <LabelsAppearance DataFormatString="{0}%" Position="InsideBase" />
                                </telerik:ColumnSeries>
                                <telerik:ColumnSeries Name="2: Benign finding(s)" Stacked="true" DataFieldY="birad2p">
                                    <TooltipsAppearance DataFormatString="{0}%" />
                                    <LabelsAppearance DataFormatString="{0}%" Position="InsideBase" />
                                </telerik:ColumnSeries>
                                <telerik:ColumnSeries Name="3: Probably benign" Stacked="true" DataFieldY="birad3p">
                                    <TooltipsAppearance DataFormatString="{0}%" />
                                    <LabelsAppearance DataFormatString="{0}%" Position="InsideBase" />
                                </telerik:ColumnSeries>
                                <telerik:ColumnSeries Name="4: Suspicious abnormality" Stacked="true" DataFieldY="birad4p">
                                    <TooltipsAppearance DataFormatString="{0}%" />
                                    <LabelsAppearance DataFormatString="{0}%" Position="InsideBase" />
                                </telerik:ColumnSeries>
                                <telerik:ColumnSeries Name="5: Highly suggestive of malignancy" Stacked="true" DataFieldY="birad5p">
                                    <Appearance FillStyle-BackgroundColor="Red" />
                                    <TooltipsAppearance DataFormatString="{0}%" />
                                    <LabelsAppearance DataFormatString="{0}%" Position="InsideBase" />
                                </telerik:ColumnSeries>
                                <telerik:ColumnSeries Name="6: Known biopsy – proven malignancy" Stacked="true" DataFieldY="birad6p">
                                    <Appearance FillStyle-BackgroundColor="PeachPuff" />
                                    <TooltipsAppearance DataFormatString="{0}%" />
                                    <LabelsAppearance DataFormatString="{0}%" Position="InsideBase" />
                                </telerik:ColumnSeries>
                            </Series>
                            <XAxis DataLabelsField="Division">
                                <LabelsAppearance RotationAngle="45" />
                            </XAxis>
                            <YAxis MaxValue="100" MinValue="0">
                                <LabelsAppearance DataFormatString="{0}%" />
                            </YAxis>
                        </PlotArea>
                        <ChartTitle Text="BI-RADS Codes by Selected Division">
                        </ChartTitle>
                    </telerik:RadHtmlChart>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
