﻿<%@ Page Title="Breast Cancer Aggregate Report By Facility" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="BreastCancer_Agg_ByFacId_Rpt.aspx.cs" Inherits="Reports_BreastCancer_Agg_ByFacId_Rpt" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">

    <telerik:RadSkinManager ID="QsfSkinManager" runat="server" ShowChooser="false" Skin="Office2010Blue" />

    <telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rgBreastCancerAgg">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgBreastCancerAgg" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRunReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgBreastCancerAgg" LoadingPanelID="ralp1" />
                    <%--<telerik:AjaxUpdatedControl ControlID="RadHtmlChart1" LoadingPanelID="ralp1" />--%>
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnClearReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlAdvancedSearch" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="rgBreastCancerAgg" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>

    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="Office2010Blue" />

    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 300px; vertical-align: top; background-color: #F5F5F5;">
                <asp:Panel ID="pnlAdvancedSearch" runat="server">
                    <!--Start Filters-->
                    <h2>Search Filters:</h2>
                    <br />
                    Advanced Search coming soon!
                    <br />
                    <br />
                    <table style="padding: 0px;">
                        <tr>
                            <td style="vertical-align: top; padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReport" runat="server" Enabled="true" Text="Run Report" OnClick="btnRunReport_Click" />
                            </td>
                            <td style="vertical-align: top; padding: 0px;">
                                <telerik:RadButton ID="btnClearReport" runat="server" Text="Reset" OnClick="btnClearReport_Click" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <!--End Filters-->
                </asp:Panel>
            </td>
            <td style="vertical-align: top; padding-right: 10px;">
                <!--Start Grid-->
                <telerik:RadGrid ID="rgBreastCancerAgg" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                    EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="6" OnNeedDataSource="rgBreastCancerAgg_NeedDataSource" OnItemDataBound="rgBreastCancerAgg_ItemDataBound"
                    OnItemCreated="rgBreastCancerAgg_ItemCreated" ShowFooter="true" OnCustomAggregate="rgBreastCancerAgg_CustomAggregate">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="PATIENT_ID" ClientDataKeyNames="PATIENT_ID"
                        AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                        TabIndex="12" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                        </asp:Label>
                                    </td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="Patient_Name" SortOrder="Ascending" />
                        </SortExpressions>
                        <ColumnGroups>
                            <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                        </ColumnGroups>
                        <Columns>
                            <telerik:GridTemplateColumn DataField="PATIENT_ID" UniqueName="PATIENT_ID" HeaderText="Details" HeaderTooltip="Click for More Details" 
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="false" Exportable="false" ShowSortIcon="false" ShowFilterIcon="false">
                                <ItemTemplate>
                                    <a href="PatientDetails.aspx?id=<%# DataBinder.Eval(Container, "DataItem.PATIENT_ID")%>" title="Click for patient details for <%# DataBinder.Eval(Container, "DataItem.Patient_Name")%>">Details</a>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="Patient_Name" UniqueName="Patient_Name" HeaderText="Patient Name" HeaderTooltip="Patient Name Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" Aggregate="First" FooterAggregateFormatString="Total:" />

                            <telerik:GridBoundColumn DataField="TotalDiagCount" UniqueName="TotalDiagCount" HeaderText="TotalDiagCount" HeaderTooltip="TotalDiagCount Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" />

                            <telerik:GridBoundColumn DataField="CurrentYrDiagCount" UniqueName="CurrentYrDiagCount" HeaderText="CurrentYrDiagCount" HeaderTooltip="CurrentYrDiagCount Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" />

                            <telerik:GridBoundColumn DataField="TotalDiagNotThisYear" UniqueName="TotalDiagNotThisYear" HeaderText="TotalDiagNotThisYear" HeaderTooltip="TotalDiagNotThisYear Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" />

                            <telerik:GridBoundColumn DataField="CurrentYrVisitCount" UniqueName="CurrentYrVisitCount" HeaderText="CurrentYrVisitCount" HeaderTooltip="CurrentYrVisitCount Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridTemplateColumn DataField="CurrentYrVisitCount" UniqueName="SeenThisYear" HeaderText="Seen this Year?" HeaderTooltip="Has patient been seen this year?" 
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="true" Exportable="true" Aggregate="Custom" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# (Convert.ToInt32(DataBinder.Eval(Container, "DataItem.CurrentYrVisitCount")) > 0) ? "Yes" : "No" %>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="NewDiagnosis" UniqueName="NewDiagnosis" HeaderText="NewDiagnosis" HeaderTooltip="NewDiagnosis Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" Aggregate="Custom" FooterAggregateFormatString="New This Year: {0}" />
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowKeyboardNavigation="true">
                        <Selecting AllowRowSelect="true" />
                        <%--<ClientEvents OnRowDblClick="RowDblClick" />--%>
                        <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                    </ClientSettings>
                    <FilterMenu OnClientShowing="MenuShowing" />
                    <PagerStyle Mode="NextPrevAndNumeric" />
                </telerik:RadGrid>
                <!--End Grid-->
                <br />

                <table style="width: 100%;">
                    <tr>
                        <td style="width: 50%; vertical-align: top;">
                            <!-- Start Chart 1 -->
                            <!-- End Chart 1 -->
                        </td>
                        <td style="width: 50%; vertical-align: top;"></td>
                    </tr>
                    <%--<tr>
                        <td style="width:50%; vertical-align:top;">

                        </td>
                        <td style="width:50%; vertical-align:top;">

                        </td>
                    </tr>--%>
                </table>

            </td>
        </tr>
    </table>
</asp:Content>
