﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using VeteransAffairs.Registries.BusinessManager;

public partial class Reports_BreastCancer_Agg_ByFacId_Rpt : BasePage
{
    #region Member Variables

    private string _userId;
    bool isExport = false;
    private Reports r;
    string facId = "";

    #endregion

    /// <summary>
    /// Default Page_Load Method
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Page_Load(object sender, EventArgs e)
    {
        LabelBreadCrumb.Text = "Breast Cancer Aggregate";

        UserAccountManager _user = (UserAccountManager)HttpContext.Current.User;

        try
        {
            //set the user ID variable
            _userId = _user.UserId.ToString();
            r = new Reports(_userId);
            facId = Request.QueryString.Get("id");
            if (String.IsNullOrEmpty(facId))
            {
                throw new Exception("Error: Null Facility Id");
            }

            if (!IsPostBack)
            {
                //set date
                //rdpStartDate.SelectedDate = DateTime.Today.AddMonths(-13);
                //rdpEndDate.SelectedDate = DateTime.Today;
                
                //Fill the facilities listbox
                //FillFACs();

                //AllMammogramsDueDescription.Text = HttpUtility.HtmlDecode(
                //r.GetSetting(ALL_MAMMOGRAMS_DUE_DESCRIPTION, _user.RegistryId).ToString());

                //if (Request.QueryString["birad"] != null)
                //{
                //    FillReportGrid();
                //    rgAllMamDue.MasterTableView.FilterExpression = "Bi_Rad_Code=" + Request.QueryString["birad"].ToString();
                //    rgAllMamDue.Rebind();
                //}

                FillReportGrid();
            }

            //rgBreastCancerAgg.DataSource = null;
            //rgBreastCancerAgg.DataBind();

        }
        catch (Exception ex)
        {
            Logging.WriteLogToFile(_userId, ex);
        }
    }

    #region GUI Overides
    //these need to be added to MenuBuilder.cs BuildDynamicNavigationItems method
    public override string TopMenuName()
    {
        return "Reporting";
    }

    public override string MenuItemName()
    {
        return "BCR Breast Cancer Aggregate Report";
    }

    public override string AppObjectCode()
    {
        return "BCR_STANDARD_REPORTS";
    }
    #endregion

    #region Grid Methods

    protected void rgBreastCancerAgg_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        FillReportGrid();
    }

    protected void rgBreastCancerAgg_ItemCommand(object source, Telerik.Web.UI.GridCommandEventArgs e)
    {
        try
        {
            //if (e.CommandName == RadGrid.FilterCommandName)
            //{
            //    Pair filterPair = (Pair)e.CommandArgument;

            //    switch (filterPair.Second.ToString())
            //    {
            //        case "date_of_last_mammogram":
            //            this.startDate = ((e.Item as GridFilteringItem)[filterPair.Second.ToString()].FindControl("FromDatePicker") as RadDatePicker).SelectedDate;
            //            this.endDate = ((e.Item as GridFilteringItem)[filterPair.Second.ToString()].FindControl("ToDatePicker") as RadDatePicker).SelectedDate;
            //            break;
            //        default:
            //            break;
            //    }
            //}
            //if (e.CommandName == "Reset")
            //{
            //    foreach (GridColumn column in rgBreastCancerAgg.MasterTableView.OwnerGrid.Columns)
            //    {
            //        column.CurrentFilterFunction = GridKnownFunction.NoFilter;
            //        column.CurrentFilterValue = string.Empty;
            //    }
            //    rgBreastCancerAgg.MasterTableView.FilterExpression = "";
            //    rgBreastCancerAgg.Rebind();
            //}
        }
        catch (Exception ex)
        {
            //Logging.WriteLogToFile(_userId, ex);
        }
    }

    protected void rgBreastCancerAgg_ItemCreated(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridFilteringItem && isExport)
            e.Item.Visible = false;

        if (e.Item is GridHeaderItem && !isExport)
        {

            GridHeaderItem header = (GridHeaderItem)e.Item;

            //loops through all headercells, which is different than columns
            foreach (GridTableHeaderCell headerCell in header.Controls)
            {
                ImageButton img = new ImageButton();

                //if the headercell has controls, it is a column, not a columngroup
                if (headerCell.HasControls())
                {
                    //get the actual header text
                    string headerText = ((LiteralControl)headerCell.Controls[0]).Text;

                    //make sure it isn't the edit header
                    if (headerText != "&nbsp;")
                    {
                        try
                        {
                            img = setupImgButton(headerText, headerCell.HeaderID);

                            headerCell.Controls.Add(img);
                        }
                        catch (Exception ex)
                        {
                            Logging.WriteLogToFile(_userId, ex);
                        }

                        //loop through actual radgrid columns and compare to the header cells 
                        foreach (GridColumn col in rgBreastCancerAgg.Columns)
                        {
                            //test to see if there is currently a sort expression and the header cell matches the column
                            if (rgBreastCancerAgg.MasterTableView.SortExpressions.Count != 0
                                && (rgBreastCancerAgg.MasterTableView.SortExpressions[0].FieldName == col.UniqueName ||
                                    rgBreastCancerAgg.MasterTableView.SortExpressions[0].FieldName == col.SortExpression)
                                && headerText == col.HeaderText)
                            {
                                //check to see if the sort order isn't none
                                if (rgBreastCancerAgg.MasterTableView.SortExpressions[0].SortOrder != GridSortOrder.None)
                                {
                                    //if it isn't none, remove the no sort image
                                    try
                                    {
                                        headerCell.Controls.Remove(img);
                                    }
                                    catch (Exception ex)
                                    {
                                        Logging.WriteLogToFile(_userId, ex);
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    protected void rgBreastCancerAgg_ItemDataBound(object sender, GridItemEventArgs e)
    {
        try
        {
            if (e.Item is GridHeaderItem)
            {
                //add access keys to header items for 508
                GridHeaderItem hi = (GridHeaderItem)e.Item;
            }

            if (e.Item is GridFilteringItem)
            {

            }

            if (e.Item is GridDataItem)
            {
                //add tool tip to edit row image for 508
                GridDataItem item = (GridDataItem)e.Item;
                //add access keys to row items for 508
                item.Attributes.Add("scope", "row");
            }

            if (isExport && e.Item is GridDataItem)
            {
                foreach (TableCell cell in e.Item.Cells)
                {
                    //Approach 1
                    cell.Style["mso-number-format"] = @"\@";
                }
            }

            // footer
        }
        catch (Exception ex)
        {
            //Logging.WriteLogToFile(_userId, ex);
        }

    }

    protected void rgBreastCancerAgg_CustomAggregate(object sender, GridCustomAggregateEventArgs e)
    {
        if (e.Column is Telerik.Web.UI.GridBoundColumn)
        {
            if (((Telerik.Web.UI.GridBoundColumn)e.Column).UniqueName == "NewDiagnosis")
            {
                Double newDiags = 0;

                if (rgBreastCancerAgg.DataSource.ToString() != "" && rgBreastCancerAgg.DataSource != null)
                {
                    foreach (DataRow dr in (rgBreastCancerAgg.DataSource as DataTable).Rows)
                    {
                        string NewDiagCol = dr.ItemArray[6] as String;

                        newDiags += (NewDiagCol.ToLower() == "yes" ? 1 : 0);
                    }
                }
                e.Result = newDiags;
            }
        }

        if (e.Column is Telerik.Web.UI.GridTemplateColumn)
        {
            if (((Telerik.Web.UI.GridTemplateColumn)e.Column).UniqueName == "SeenThisYear")
            {
                //SeenThisYear
                Double seenThisYrCount = 0;

                if (rgBreastCancerAgg.DataSource.ToString() != "" && rgBreastCancerAgg.DataSource != null)
                {
                    foreach (DataRow dr in (rgBreastCancerAgg.DataSource as DataTable).Rows)
                    {
                        int NewDiagCol = (int)dr.ItemArray[5];

                        seenThisYrCount += (NewDiagCol > 0 ? 1 : 0);
                    }
                }
                e.Result = seenThisYrCount;
            }
        }
    }

    ImageButton setupImgButton(string headerText, string headerID)
    {
        //create the sort button image
        ImageButton img = new ImageButton();

        img.ID = "Sort_" + headerID;
        img.AlternateText = "Sort " + headerText + " asc/desc";
        img.ImageUrl = "~/images/sort_none.gif";
        img.TabIndex = 25;
        img.ToolTip = img.AlternateText;

        switch (headerText)
        {
            case "PACT Team":
                img.AccessKey = "t";
                break;
            case "Provider Name":
                img.AccessKey = "p";
                break;
            case "Last Name, First":
                img.AccessKey = "n";
                break;
            case "Last 4":
                img.AccessKey = "s";
                break;
            case "Age":
                img.AccessKey = "a";
                break;
            case "Race":
                img.AccessKey = "r";
                break;
            case "Gender":
                img.AccessKey = "g";
                break;
            case "Patient Zip":
                img.AccessKey = "z";
                break;
            case "Date Performed":  // Mammogram
                img.AccessKey = "m";
                break;
            case "BI-RADS Code":
                img.AccessKey = "b";
                break;
            case "Procedure Location":
                img.AccessKey = "l";
                break;
            default:
                break;
        }

        return img;
    }

    #endregion

    #region Private Methods

    /// <summary>
    /// Perform actual search. Call stored procedure with parameters.
    /// </summary>
    private void FillReportGrid()
    {
        Aggregate agg = new Aggregate();

        try
        {
            DataTable dt = agg.GetBreastCancerByFacilityIdAgg(facId); // ATL

            //bind the data to the grid
            rgBreastCancerAgg.DataSource = dt;

            //RadHtmlChart1.DataSource = dt;
            //RadHtmlChart1.DataBind();
        }
        catch (Exception ex)
        {
            Logging.WriteLogToFile(_userId, ex);

            //if error
            rgBreastCancerAgg.DataSource = "";
        }
    }

    /// <summary>
    /// Fills the facility drop down with the facilities the user has access to see.
    /// </summary>
    private void FillFACs()
    {
        //try
        //{
        //    //get the user's facilities and populate listboxs
        //    if (r.GetFacilitiesByUserId())
        //    {
        //        // Station drop down clear existing items

        //        rcbFac.Items.Clear();
        //        rcbFac.EmptyMessage = "Select a Station";

        //        // VISN drop down clear existing items

        //        rcbVisn.Items.Clear();
        //        rcbVisn.EmptyMessage = "Select a VISN";

        //        System.Data.DataTable tVisns = new DataTable();

        //        SetupVisnList(tVisns);

        //        DataView vw = new DataView(tVisns);
        //        vw.Sort = "[visnId] asc";

        //        rcbVisn.DataSource = vw;
        //        rcbVisn.DataTextField = "visnText";
        //        rcbVisn.DataValueField = "visnId";
        //        rcbVisn.DataBind();

        //        // If there's only one option, select it for them
        //        if (rcbVisn.Items.Count == 1)
        //        {
        //            rcbVisn.SelectedIndex = 0;
        //            rcbVisn.Enabled = false;
        //            ProcessVisnSelection();
        //        }
        //        else if (rcbVisn.Items.Count == 0)
        //        {
        //            rcbVisn.EmptyMessage = "You do not have access to any VISNs to select";
        //        }
        //    }
        //}
        //catch (Exception ex)
        //{
        //    Logging.WriteLogToFile(_userId, ex);
        //}
    }

    /// <summary>
    /// Populates VISN list based on the facilities that a user has access to
    /// </summary>
    /// <param name="tVisns"></param>
    private void SetupVisnList(System.Data.DataTable tVisns)
    {
        try
        {
            DataColumn idColumn = new DataColumn();
            idColumn = new DataColumn();
            idColumn.DataType = System.Type.GetType("System.Int32");
            idColumn.ColumnName = "visnId";
            idColumn.ReadOnly = true;
            idColumn.Unique = true;

            DataColumn nameColumn = new DataColumn();
            nameColumn = new DataColumn();
            nameColumn.DataType = System.Type.GetType("System.String");
            nameColumn.ColumnName = "visnText";
            nameColumn.ReadOnly = true;
            nameColumn.Unique = true;

            tVisns.Columns.Add(idColumn);
            tVisns.Columns.Add(nameColumn);

            tVisns.PrimaryKey = new DataColumn[] { tVisns.Columns["visnId"] };

            DataRow drVisn;

            foreach (System.Data.DataRow dr in r.dtFac.Rows)
            {
                if (!tVisns.Rows.Contains(dr["visnId"]))
                {
                    drVisn = tVisns.NewRow();
                    drVisn["visnId"] = dr["visnId"];
                    drVisn["visnText"] = dr["visnText"];

                    tVisns.Rows.Add(drVisn);
                }
            }
        }
        catch (Exception ex)
        {
            Logging.WriteLogToFile(_userId, ex);
        }
    }

    #endregion

    #region GUI Event Methods

    /// <summary>
    /// Run report and call FillReportGrid
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnRunReport_Click(object sender, EventArgs e)
    {
        FillReportGrid();
        rgBreastCancerAgg.DataBind();
    }

    /// <summary>
    /// Removes all search criteria and clears grid.
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnClearReport_Click(object sender, EventArgs e)
    {
        // clear search fields
        //set date
        //rdpStartDate.SelectedDate = DateTime.Today.AddYears(-1);
        //rdpEndDate.SelectedDate = DateTime.Today;

        //chkShowLatest.Checked = true;

        //rlbBiRadsList.SelectedIndex = -1;

        //rtbPatientName.Text = "";

        //rlbGender.SelectedIndex = 0;

        //rtbProviderName.Text = "";

        rgBreastCancerAgg.DataSource = "";
        rgBreastCancerAgg.DataBind();
    }

    #endregion
}