﻿<%@ Page Title="Breast Cancer Aggregate Report" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="BreastCancer_Agg_Rpt.aspx.cs" Inherits="Reports_BreastCancer_Agg_Rpt" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">

    <telerik:RadSkinManager ID="QsfSkinManager" runat="server" ShowChooser="false" Skin="Office2010Blue" />

    <telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rgBreastCancerAgg">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgBreastCancerAgg" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRunReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgBreastCancerAgg" LoadingPanelID="ralp1" />
                    <%--<telerik:AjaxUpdatedControl ControlID="RadHtmlChart1" LoadingPanelID="ralp1" />--%>
                    <telerik:AjaxUpdatedControl ControlID="lblExecutionTime" LoadingPanelID="ralp1" UpdatePanelRenderMode="Inline" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnClearReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlAdvancedSearch" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="rgBreastCancerAgg" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="lblExecutionTime" LoadingPanelID="ralp1" UpdatePanelRenderMode="Inline" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rcbVisn">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlAdvancedSearch" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>

    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="Office2010Blue" />

    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 300px; vertical-align: top; background-color: #F5F5F5;">
                <asp:Panel ID="pnlAdvancedSearch" runat="server">
                    <!--Start Filters-->
                    <h2>Search Filters:</h2>
                    <br />
                    <asp:Label runat="server" ID="lblVisn" Text="Select VISN:" AssociatedControlID="rcbVisn" /><br />
                    <telerik:RadComboBox ID="rcbVisn" runat="server" Width="100%" AccessKey="v" TabIndex="3" AutoPostBack="true" OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" />
                    <br />
                    <br />
                    <asp:Label runat="server" ID="lblStartDate" Text="Start Date:" AssociatedControlID="rdpStartDate" /><br />
                    <telerik:RadDatePicker ID="rdpStartDate" runat="server" ZIndex="30001" TabIndex="4" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblEndDate" Text="End Date:" AssociatedControlID="rdpEndDate" /><br />
                    <telerik:RadDatePicker ID="rdpEndDate" runat="server" ZIndex="30001" TabIndex="5" />
                    <br />
                    <br />
                    <table style="padding: 0px;">
                        <tr>
                            <td style="vertical-align: top; padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReport" runat="server" Enabled="false" Text="Run Report" OnClick="btnRunReport_Click" />
                            </td>
                            <td style="vertical-align: top; padding: 0px;">
                                <telerik:RadButton ID="btnClearReport" runat="server" Text="Reset" OnClick="btnClearReport_Click" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <!--End Filters-->
                </asp:Panel>
            </td>
            <td style="vertical-align: top; padding-right: 10px;">
                <div style="text-align: right;">
                    <asp:Label ID="lblExecutionTimeLabel" runat="server" AssociatedControlID="lblExecutionTime" Text="Execution Time:" ToolTip="Report Execution Time" />
                    <asp:Label ID="lblExecutionTime" runat="server" ToolTip="Length of time to execute report" />
                </div>
                <!--Start Grid-->
                <telerik:RadGrid ID="rgBreastCancerAgg" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                    EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="6" OnNeedDataSource="rgBreastCancerAgg_NeedDataSource" OnItemDataBound="rgBreastCancerAgg_ItemDataBound"
                    OnItemCreated="rgBreastCancerAgg_ItemCreated" ShowFooter="true">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="std_institution_id" ClientDataKeyNames="std_institution_id"
                        AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                        TabIndex="12" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                        </asp:Label>
                                    </td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="InstitutionName" SortOrder="Ascending" />
                        </SortExpressions>
                        <ColumnGroups>
                            <telerik:GridColumnGroup HeaderText="Institution" Name="institution" />
                            <telerik:GridColumnGroup HeaderText="Breakdown" Name="comp" />
                        </ColumnGroups>
                        <Columns>
                            <telerik:GridBoundColumn DataField="std_institution_id" UniqueName="std_institution_id" HeaderText="Facility ID" HeaderTooltip="Facility ID Column" ColumnGroupName="institution"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" />

                            <telerik:GridTemplateColumn DataField="std_institution_id" UniqueName="std_institution_id" HeaderText="Details" HeaderTooltip="Click for More Details" 
                                ColumnGroupName="institution" HeaderButtonType="None" AllowFiltering="false" AllowSorting="false" Exportable="false">
                                <ItemTemplate>
                                    <a href="BreastCancer_Agg_ByFacId_Rpt.aspx?id=<%# DataBinder.Eval(Container, "DataItem.std_institution_id")%>">View More</a>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="InstitutionName" UniqueName="InstitutionName" HeaderText="Facility Name" HeaderTooltip="Facility Name Column" ColumnGroupName="institution"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" Aggregate="First" FooterAggregateFormatString="Total:" />

                            <telerik:GridBoundColumn DataField="TotalFacilityPatientCount" UniqueName="TotalFacilityPatientCount" HeaderText="Total Facility Patient Count" HeaderTooltip="Total Facility Patient Count Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridBoundColumn DataField="TotalBreastCancerPatientCount" UniqueName="TotalBreastCancerPatientCount" HeaderText="Total Breast Cancer Patient Count" HeaderTooltip="Total Breast Cancer Patient Count Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridBoundColumn DataField="NewDiag" UniqueName="NewDiag" HeaderText="New Diagnosis Count" HeaderTooltip="New Diagnosis Count During Timeframe Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridBoundColumn DataField="PatientsSeenThisYear" UniqueName="PatientsSeenThisYear" HeaderText="Number of Patients Seen this Year" HeaderTooltip="Patients Seen This Year Count Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridBoundColumn DataField="PercentWithBreastCancer" UniqueName="PercentWithBreastCancer" HeaderText="Percent of Patients with Breast Cancer" HeaderTooltip="Percent of Patients with Breast Cancer Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" />
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowKeyboardNavigation="true">
                        <Selecting AllowRowSelect="true" />
                        <%--<ClientEvents OnRowDblClick="RowDblClick" />--%>
                        <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                    </ClientSettings>
                    <FilterMenu OnClientShowing="MenuShowing" />
                    <PagerStyle Mode="NextPrevAndNumeric" />
                </telerik:RadGrid>
                <!--End Grid-->
                <br />

                <table style="width: 100%;">
                    <tr>
                        <td style="width: 50%; vertical-align: top;">
                            <!-- Start Chart 1 -->
                            <!-- End Chart 1 -->
                        </td>
                        <td style="width: 50%; vertical-align: top;"></td>
                    </tr>
                    <%--<tr>
                        <td style="width:50%; vertical-align:top;">

                        </td>
                        <td style="width:50%; vertical-align:top;">

                        </td>
                    </tr>--%>
                </table>

            </td>
        </tr>
    </table>
</asp:Content>
