﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="AdHoc.ascx.cs" Inherits="Reports_Controls_AdHoc" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>


<asp:Panel runat="server" ID="PatientDetails" GroupText="Patient Details">
    <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server">
        <telerik:RadPanelBar runat="server" ID="RadPanelBar1" ExpandMode="MultipleExpandedItems"
            Width="100%">
            <Items>
                <telerik:RadPanelItem Value="AllAbnormalMam1" Expanded="false" Text="All Abnormal Mammograms, Biopsies and Surgeries:&nbsp;&nbsp;&nbsp;&nbsp;All Abnormal Mammograms" runat="server"
                    Selected="false" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="AllAbnormalMammograms" runat="server">
                            <ItemTemplate>
                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>

                                            <telerik:RadGrid ID="rgAllAbnormalMam" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="10">
                                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="false"
                                                    AllowPaging="false" CommandItemDisplay="None" TabIndex="12" Width="800" PageSize="10"
                                                    ShowHeadersWhenNoRecords="true" AllowMultiColumnSorting="false">

                                                    <NoRecordsTemplate>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="14">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                                            </tr>
                                                        </table>
                                                    </NoRecordsTemplate>
                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridDateTimeColumn DataField="date_of_last_mammogram" UniqueName="date_of_last_mammogram"
                                                            HeaderText="Date Performed" HeaderTooltip="Last Mam Date Column"
                                                            AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None">
                                                        </telerik:GridDateTimeColumn>
                                                        <telerik:GridBoundColumn DataField="BiRad_Code" UniqueName="BiRad_Code" HeaderText="BI-RADS Code"
                                                            FilterControlWidth="50" FilterControlAltText="Filter Textbox for BiRad"
                                                            FilterControlToolTip="Filter Textbox for BiRad" HeaderTooltip="BiRad Column" HeaderButtonType="None">
                                                        </telerik:GridBoundColumn>
                                                        <telerik:GridBoundColumn HeaderText="BI-RADS Follow-up" DataField="BI_RADS_follow_up"
                                                            AllowFiltering="false" UniqueName="AAM_BI_RADS_follow_up_Report"
                                                            HeaderButtonType="None">
                                                        </telerik:GridBoundColumn>
                                                        <telerik:GridBoundColumn DataField="Procedure_Location" UniqueName="Procedure_Location" HeaderText="Procedure Location"
                                                            FilterControlAltText="Filter Textbox for Location of Last Mam" FilterControlToolTip="Filter Textbox for Location of Last Mam"
                                                            HeaderTooltip="Location of Last Mam Column" FilterControlWidth="30" HeaderButtonType="None" />

                                                    </Columns>

                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>


                <telerik:RadPanelItem Value="AllAbnormalMam2" Expanded="false" Text="All Abnormal Mammograms, Biopsies and Surgeries:&nbsp;&nbsp;&nbsp;&nbsp;Radiology Results" runat="server"
                    Selected="false" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="AllAbnormalMammograms_2" runat="server">
                            <ItemTemplate>
                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>

                                            <telerik:RadGrid ID="rgAllAbnormalMam_2" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="16">
                                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="false"
                                                    AllowPaging="false" CommandItemDisplay="None" TabIndex="18" Width="800" PageSize="10"
                                                    ShowHeadersWhenNoRecords="true" AllowMultiColumnSorting="false">

                                                    <NoRecordsTemplate>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="20">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                                            </tr>
                                                        </table>
                                                    </NoRecordsTemplate>
                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn HeaderText="Ultrasound" DataField="US_Result" ColumnGroupName="results" AllowFiltering="false"
                                                            UniqueName="AAM_US_Result_Report" HeaderButtonType="None">
                                                        </telerik:GridBoundColumn>
                                                        <telerik:GridBoundColumn HeaderText="MRI" DataField="MRI_Result"
                                                            ColumnGroupName="results" AllowFiltering="false" UniqueName="AAM_MRI_Result_Report" HeaderButtonType="None">
                                                        </telerik:GridBoundColumn>


                                                    </Columns>

                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>

                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>


                <telerik:RadPanelItem Value="AllAbnormalMam3" Expanded="false" Text="All Abnormal Mammograms, Biopsies and Surgeries:&nbsp;&nbsp;&nbsp;&nbsp;Other" runat="server"
                    Selected="false" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="AllAbnormalMammograms_3" runat="server">
                            <ItemTemplate>

                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>
                                            <telerik:RadGrid ID="rgAllAbnormalMam_3" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="22">
                                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="false"
                                                    AllowPaging="false" CommandItemDisplay="None" TabIndex="24" Width="800" PageSize="10"
                                                    ShowHeadersWhenNoRecords="true" AllowMultiColumnSorting="false">

                                                    <NoRecordsTemplate>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="26">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                                            </tr>
                                                        </table>
                                                    </NoRecordsTemplate>
                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn HeaderText="Pathology Report" DataField="Pathology_Report"
                                                            AllowFiltering="false" UniqueName="AAM_Pathology_Report_Report" HeaderButtonType="None">
                                                        </telerik:GridBoundColumn>
                                                        <telerik:GridBoundColumn HeaderText="Biopsy Procedure" DataField="Biopsy_Result"
                                                            AllowFiltering="false" UniqueName="AAM_Biopsy_Result_Report" HeaderButtonType="None">
                                                        </telerik:GridBoundColumn>
                                                        <telerik:GridBoundColumn DataField="Oncology_Referral" UniqueName="Oncology_Referral"
                                                            HeaderText="Oncology Referral" HeaderTooltip="Oncology Column" FilterControlWidth="75" HeaderButtonType="None">
                                                        </telerik:GridBoundColumn>
                                                    </Columns>

                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>


                <telerik:RadPanelItem Value="AllAbnormalMam4" Expanded="false" Text="All Abnormal Mammograms, Biopsies and Surgeries:&nbsp;&nbsp;&nbsp;&nbsp;Surgery" runat="server"
                    Selected="false" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="AllAbnormalMammograms_4" runat="server">
                            <ItemTemplate>

                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>
                                            <telerik:RadGrid ID="rgAllAbnormalMam_4" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="28">
                                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="false"
                                                    AllowPaging="false" CommandItemDisplay="None" TabIndex="30" Width="800" PageSize="10"
                                                    ShowHeadersWhenNoRecords="true" AllowMultiColumnSorting="false">

                                                    <NoRecordsTemplate>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="32">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                                            </tr>
                                                        </table>
                                                    </NoRecordsTemplate>
                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn HeaderText="Procedure" DataField="Surgery_Procedure"
                                                            AllowFiltering="false" UniqueName="AAM_Surgery_Procedure_Report"
                                                            HeaderButtonType="None">
                                                        </telerik:GridBoundColumn>
                                                        <telerik:GridDateTimeColumn DataField="Date_Surgery_Performed" UniqueName="Date_Surgery_Performed"
                                                            HeaderText="Surgery Date Performed" HeaderTooltip="date performed column"
                                                            FilterControlWidth="75" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None">
                                                        </telerik:GridDateTimeColumn>
                                                        <telerik:GridBoundColumn HeaderText="Report (data TBD)" DataField="surgery"
                                                            AllowFiltering="false" UniqueName="AAM_surgery_Report" HeaderButtonType="None">
                                                        </telerik:GridBoundColumn>
                                                    </Columns>

                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>

                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>


                <telerik:RadPanelItem Value="AllMam1" Enabled="true" Text="All Mammograms:&nbsp;&nbsp;&nbsp;&nbsp;All Mammograms" runat="server" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="AllMammograms" runat="server">
                            <ItemTemplate>

                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>
                                            <telerik:RadGrid ID="rgAllMamWithBiRad" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true">
                                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="false"
                                                    AllowPaging="false" CommandItemDisplay="None" TabIndex="34" Width="800"
                                                    ShowHeadersWhenNoRecords="true">
                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridDateTimeColumn DataField="date_of_last_mammogram" UniqueName="date_of_last_mammogram"
                                                            HeaderText="Date Performed" HeaderTooltip="Last Mam Date Column"
                                                            AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None">
                                                        </telerik:GridDateTimeColumn>
                                                        <telerik:GridBoundColumn DataField="BiRad_Code" UniqueName="BiRad_Code" HeaderText="BI-RADS Code"
                                                            FilterControlAltText="Filter Textbox for BI-RADS Code"
                                                            HeaderTooltip="BI-RADS Code Column" ItemStyle-Width="10" HeaderStyle-Width="10" HeaderButtonType="None" />

                                                        <telerik:GridBoundColumn HeaderText="BI-RADS Follow-up Action Taken" DataField="BI_RADS_follow_up"
                                                            AllowFiltering="false" UniqueName="AMWBR_BI_RADS_follow_up_Report"
                                                            HeaderButtonType="None">
                                                        </telerik:GridBoundColumn>

                                                        <telerik:GridBoundColumn DataField="procedure_location" UniqueName="procedure_location" HeaderText="Procedure Location"
                                                            FilterControlAltText="Filter Textbox for Location of Last Mam" FilterControlToolTip="Filter Textbox for Location of Last Mam"
                                                            HeaderTooltip="Location of Last Mam Column" FilterControlWidth="30" HeaderButtonType="None" />

                                                    </Columns>

                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>




                <telerik:RadPanelItem Value="AllMam2" Enabled="true" Text="All Mammograms:&nbsp;&nbsp;&nbsp;&nbsp;Radiology" runat="server" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="AllMammograms_2" runat="server">
                            <ItemTemplate>

                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>
                                            <telerik:RadGrid ID="rgAllMamWithBiRad_2" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true">
                                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="false"
                                                    AllowPaging="false" CommandItemDisplay="None" TabIndex="36" Width="800"
                                                    ShowHeadersWhenNoRecords="true">

                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn HeaderText="Ultrasound" DataField="US_Result"
                                                            AllowFiltering="false" UniqueName="AMWBR_US_Result_Report" HeaderButtonType="None">
                                                        </telerik:GridBoundColumn>

                                                        <telerik:GridBoundColumn HeaderText="MRI" DataField="MRI_Result"
                                                            AllowFiltering="false" UniqueName="AMWBR_MRI_Result_Report" HeaderButtonType="None">
                                                        </telerik:GridBoundColumn>
                                                    </Columns>

                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>




                <telerik:RadPanelItem Value="AllMam3" Enabled="true" Text="All Mammograms:&nbsp;&nbsp;&nbsp;&nbsp;Other" runat="server" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="AllMammograms_3" runat="server">
                            <ItemTemplate>

                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>
                                            <telerik:RadGrid ID="rgAllMamWithBiRad_3" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true">
                                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="false"
                                                    AllowPaging="false" CommandItemDisplay="None" TabIndex="38" Width="800"
                                                    ShowHeadersWhenNoRecords="true">

                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn HeaderText="Pathology Results" DataField="Biopsy_Result" HeaderButtonType="None"
                                                            AllowFiltering="false" UniqueName="AMWBR_Biopsy_Result_Report">
                                                        </telerik:GridBoundColumn>

                                                        <telerik:GridBoundColumn DataField="ordering_provider" UniqueName="ordering_provider" AllowFiltering="false"
                                                            HeaderText="Ordering Provider" HeaderTooltip="Ordering Provider Column" HeaderButtonType="None" />
                                                    </Columns>

                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>

                <telerik:RadPanelItem Value="AllMamDue" Enabled="true" Text="All Mammograms Due" runat="server" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="AllMammogramsDue" runat="server">
                            <ItemTemplate>

                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>
                                            <telerik:RadGrid ID="rgAllMamDue" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true">
                                                <MasterTableView AutoGenerateColumns="false"
                                                    AllowFilteringByColumn="false" AllowSorting="false" AllowPaging="false" CommandItemDisplay="None"
                                                    TabIndex="40" Width="800" PageSize="10" ShowHeadersWhenNoRecords="true">
                                                    <NoRecordsTemplate>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="42">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                                            </tr>
                                                        </table>
                                                    </NoRecordsTemplate>
                                                    <ColumnGroups>
                                                        <telerik:GridColumnGroup HeaderText="Team / Provider" Name="provider" />
                                                        <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                                                        <telerik:GridColumnGroup HeaderText="Last Mammogram" Name="last_mam" />
                                                        <telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />
                                                    </ColumnGroups>
                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column" ColumnGroupName="provider"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name" ColumnGroupName="provider"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridDateTimeColumn DataField="date_of_last_mammogram" UniqueName="date_of_last_mammogram"
                                                            HeaderText="Date Performed" HeaderTooltip="Date Performed Column" ColumnGroupName="last_mam"
                                                            AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None">
                                                        </telerik:GridDateTimeColumn>
                                                        <telerik:GridBoundColumn DataField="Bi_Rad_Code" UniqueName="Bi_Rad_Code" HeaderText="BI-RADS Code"
                                                            HeaderTooltip="BI-RADS Code Column" ColumnGroupName="last_mam" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn DataField="procedure_location" UniqueName="procedure_location" HeaderText="Procedure Location"
                                                            HeaderTooltip="Location of Last Mam Column" ColumnGroupName="last_mam" HeaderButtonType="None" />
                                                    </Columns>
                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>


                <telerik:RadPanelItem Value="BreastBio1" Enabled="true" Text="Breast Biopsies:&nbsp;&nbsp;&nbsp;&nbsp;Biopsy" runat="server" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="BreastBiopsies" runat="server">
                            <ItemTemplate>

                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>
                                            <telerik:RadGrid ID="rgBreastBiopsies" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true">
                                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="false"
                                                    AllowPaging="false" CommandItemDisplay="None" TabIndex="44" Width="800"
                                                    ShowHeadersWhenNoRecords="true">
                                                    <NoRecordsTemplate>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="46">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                                            </tr>
                                                        </table>
                                                    </NoRecordsTemplate>
                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn HeaderText="Biopsy" DataField="biopsy_result" HeaderButtonType="None"
                                                            AllowFiltering="false" UniqueName="BB_Biopsy_Result_Report">
                                                        </telerik:GridBoundColumn>
                                                        <telerik:GridDateTimeColumn DataField="biopsy_date" UniqueName="biopsy_date" HeaderButtonType="None"
                                                            HeaderText="Biopsy Date" HeaderTooltip="biopsy date Column"
                                                            AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}" />
                                                    </Columns>
                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>




                <telerik:RadPanelItem Value="BreastBio2" Enabled="true" Text="Breast Biopsies:&nbsp;&nbsp;&nbsp;&nbsp;Other" runat="server" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="BreastBiopsies_2" runat="server">
                            <ItemTemplate>

                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>
                                            <telerik:RadGrid ID="rgBreastBiopsies_2" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true">
                                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="false"
                                                    AllowPaging="false" CommandItemDisplay="None" TabIndex="48" Width="800"
                                                    ShowHeadersWhenNoRecords="true">
                                                    <NoRecordsTemplate>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="50">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                                            </tr>
                                                        </table>
                                                    </NoRecordsTemplate>
                                                    <Columns>

                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn DataField="brca_status" UniqueName="BB_brca_status_Report" HeaderText="BRCA Status"
                                                            HeaderTooltip="BRCA Column" FilterControlWidth="50" HeaderButtonType="None" />

                                                        <telerik:GridBoundColumn DataField="Estrogen_Receptor" UniqueName="BB_Estrogen_Receptor_Report" HeaderText="Estrogen Receptor"
                                                            HeaderTooltip="Estrogen Receptor Column" FilterControlWidth="50" HeaderButtonType="None" />

                                                        <telerik:GridBoundColumn DataField="Progesteron_Receptor" UniqueName="BB_Progesteron_Receptor_Report" HeaderText="Progesterone Receptor"
                                                            HeaderTooltip="Progesterone Receptor Column" FilterControlWidth="50" HeaderButtonType="None" />

                                                        <telerik:GridBoundColumn DataField="HER2_Receptor" UniqueName="BB_HER2_Receptor_Report" HeaderText="HER2 by IHC"
                                                            HeaderTooltip="HER2 Column" FilterControlWidth="50" HeaderButtonType="None" />

                                                        <telerik:GridBoundColumn HeaderText="Pathology Results (TBD)" DataField="Pathology_Report" HeaderButtonType="None"
                                                            AllowFiltering="false" UniqueName="BB_Pathology_Report_Report">
                                                        </telerik:GridBoundColumn>
                                                    </Columns>
                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>

                <telerik:RadPanelItem Value="BreastBio3" Enabled="true" Text="Breast Biopsies:&nbsp;&nbsp;&nbsp;&nbsp;Last Mammogram" runat="server" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="BreastBiopsies_3" runat="server">
                            <ItemTemplate>
                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>
                                            <telerik:RadGrid ID="rgBreastBiopsies_3" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true">
                                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="false"
                                                    AllowPaging="false" CommandItemDisplay="None" TabIndex="52" Width="800"
                                                    ShowHeadersWhenNoRecords="true">
                                                    <NoRecordsTemplate>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="54">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                                            </tr>
                                                        </table>
                                                    </NoRecordsTemplate>
                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridDateTimeColumn DataField="date_of_last_mammogram" UniqueName="date_of_last_mammogram"
                                                            HeaderText="Date Performed" HeaderTooltip="Last Mam Date Column" ColumnGroupName="last_mam" FilterControlWidth="100"
                                                            DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn DataField="Bi_Rad_Code" UniqueName="Bi_Rad_Code" HeaderText="BI-RADS Code"
                                                            HeaderTooltip="BiRad Column" ColumnGroupName="last_mam" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn DataField="procedure_location" UniqueName="procedure_location" HeaderText="Procedure Location"
                                                            HeaderTooltip="Procedure Location" ColumnGroupName="last_mam" FilterControlWidth="30" HeaderButtonType="None" />
                                                    </Columns>
                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>

                <telerik:RadPanelItem Value="BreastCan1" Enabled="true" Text="Breast Cancer:&nbsp;&nbsp;&nbsp;&nbsp;Diagnosis" runat="server" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="BreastCancer" runat="server">
                            <ItemTemplate>

                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>
                                            <telerik:RadGrid ID="rgBreastCancer" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="56">
                                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="false"
                                                    AllowPaging="false" CommandItemDisplay="None" TabIndex="58" Width="800" ShowHeadersWhenNoRecords="true">
                                                    <NoRecordsTemplate>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="60">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                                            </tr>
                                                        </table>
                                                    </NoRecordsTemplate>
                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn HeaderText="Breast Ca Dx" DataField="ICD9BC" HeaderButtonType="None"
                                                            AllowFiltering="false" UniqueName="BC_ICD9BC_Report">
                                                        </telerik:GridBoundColumn>

                                                        <telerik:GridBoundColumn HeaderText="Pathology Report" DataField="Pathology_Report" HeaderButtonType="None"
                                                            AllowFiltering="false" UniqueName="BC_Pathology_Report_Report">
                                                        </telerik:GridBoundColumn>

                                                        <telerik:GridDateTimeColumn DataField="Pathology_Report_Date" UniqueName="Pathology_Report_Date" HeaderText="Pathology Report Date"
                                                            HeaderButtonType="None"
                                                            HeaderTooltip="Pathology Date Column" AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}" />
                                                        <telerik:GridBoundColumn DataField="stage" UniqueName="stage" HeaderText="Stage"
                                                            SortExpression="stage" HeaderButtonType="None"
                                                            FilterControlAltText="Filter Textbox for Stage" FilterControlToolTip="Filter Textbox for Stage"
                                                            HeaderTooltip="Stage Column">
                                                        </telerik:GridBoundColumn>
                                                    </Columns>
                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>

                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>

                <telerik:RadPanelItem Value="BreastCan2" Enabled="true" Text="Breast Cancer:&nbsp;&nbsp;&nbsp;&nbsp;Other" runat="server" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="BreastCancer_2" runat="server">
                            <ItemTemplate>

                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>
                                            <telerik:RadGrid ID="rgBreastCancer_2" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="62">
                                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="false"
                                                    AllowPaging="false" CommandItemDisplay="None" TabIndex="64" Width="800" ShowHeadersWhenNoRecords="true">
                                                    <NoRecordsTemplate>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="66">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                                            </tr>
                                                        </table>
                                                    </NoRecordsTemplate>
                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn DataField="brca" UniqueName="BC_brca_Report" HeaderText="BRCA Status"
                                                            HeaderTooltip="BRCA Column" FilterControlWidth="50" HeaderButtonType="None" />

                                                        <telerik:GridBoundColumn DataField="Estrogen_Receptor" UniqueName="BC_Estrogen_Receptor_Report" HeaderText="Estrogen Receptor"
                                                            HeaderTooltip="Estrogen Receptor Column" FilterControlWidth="50" HeaderButtonType="None" />

                                                        <telerik:GridBoundColumn DataField="Progesterone_Receptor" UniqueName="BC_Progesterone_Receptor_Report" HeaderText="Progesterone Receptor"
                                                            HeaderTooltip="Progesterone Receptor Column" FilterControlWidth="50" HeaderButtonType="None" />

                                                        <telerik:GridBoundColumn DataField="her2" UniqueName="BC_her2_Report" HeaderText="HER2 by IHC"
                                                            HeaderTooltip="HER2 Column" FilterControlWidth="50" HeaderButtonType="None" />

                                                        <telerik:GridBoundColumn HeaderText="All Other Diagnosis" DataField="ICD9Other"
                                                            AllowFiltering="false" UniqueName="BC_ICD9Other_Report" HeaderButtonType="None">
                                                        </telerik:GridBoundColumn>

                                                    </Columns>
                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>

                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>


                <telerik:RadPanelItem Value="BreastCan3" Enabled="true" Text="Breast Cancer:&nbsp;&nbsp;&nbsp;&nbsp;Treatment" runat="server" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="BreastCancer_3" runat="server">
                            <ItemTemplate>

                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>
                                            <telerik:RadGrid ID="rgBreastCancer_3" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="68">
                                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="false"
                                                    AllowPaging="false" CommandItemDisplay="None" TabIndex="70" Width="800" ShowHeadersWhenNoRecords="true">
                                                    <NoRecordsTemplate>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="72">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                                            </tr>
                                                        </table>
                                                    </NoRecordsTemplate>
                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn HeaderText="Chemotherapy" DataField="Chemotherapy" HeaderButtonType="None"
                                                            AllowFiltering="false" UniqueName="BC_Chemotherapy_Report">
                                                        </telerik:GridBoundColumn>

                                                        <telerik:GridBoundColumn HeaderText="Radiation Therapy" DataField="Radiation" HeaderButtonType="None"
                                                            AllowFiltering="false" UniqueName="BC_Radiation_Report">
                                                        </telerik:GridBoundColumn>

                                                        <telerik:GridBoundColumn HeaderText="Hormonal Therapy" DataField="Hormonal" HeaderButtonType="None"
                                                            AllowFiltering="false" UniqueName="BC_Hormonal_Report">
                                                        </telerik:GridBoundColumn>

                                                        <telerik:GridBoundColumn HeaderText="Medications" DataField="AllMed" HeaderButtonType="None"
                                                            AllowFiltering="false" UniqueName="BC_AllMed_Report">
                                                        </telerik:GridBoundColumn>

                                                    </Columns>
                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>

                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>

                <telerik:RadPanelItem Value="BreastSur" Enabled="true" Text="Breast Surgeries" runat="server" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="BreastSurgeries" runat="server">
                            <ItemTemplate>

                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>
                                            <telerik:RadGrid ID="rgBreastSurgeries" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="74">
                                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="false"
                                                    AllowPaging="false" CommandItemDisplay="None" TabIndex="76" Width="800"
                                                    ShowHeadersWhenNoRecords="true">
                                                    <NoRecordsTemplate>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="78">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                                            </tr>
                                                        </table>
                                                    </NoRecordsTemplate>
                                                    <ColumnGroups>
                                                        <telerik:GridColumnGroup HeaderText="Surgery Report" Name="surgery" />
                                                    </ColumnGroups>
                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn HeaderText="Surgery" DataField="surgery" HeaderButtonType="None"
                                                            ColumnGroupName="surgery" AllowFiltering="false" UniqueName="BS_Surgery_Report">
                                                        </telerik:GridBoundColumn>
                                                        <telerik:GridDateTimeColumn DataField="date_performed" UniqueName="date_performed" HeaderText="Date Performed"
                                                            HeaderTooltip="Surgery Date Column" ColumnGroupName="surgery" AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}"
                                                            HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn DataField="procedure_location" UniqueName="procedure_location" HeaderText="Surgery Location"
                                                            FilterControlAltText="Filter Textbox for Location of Surgery" FilterControlToolTip="Filter Textbox for Location of Surgery"
                                                            HeaderTooltip="Location of Surgery Column" ColumnGroupName="surgery" FilterControlWidth="30" HeaderButtonType="None" />

                                                        <telerik:GridBoundColumn HeaderText="Pathology Report" DataField="pathology_report" HeaderButtonType="None"
                                                            AllowFiltering="false" UniqueName="BS_Pathology_Report_Report">
                                                        </telerik:GridBoundColumn>

                                                    </Columns>
                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>

                <telerik:RadPanelItem Value="OrderedPen" Enabled="true" Text="Ordered Pending" runat="server" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="OrderedPending" runat="server">
                            <ItemTemplate>

                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>
                                            <telerik:RadGrid ID="rgOrderedPending" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                                                EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="80">
                                                <MasterTableView AutoGenerateColumns="false"
                                                    AllowFilteringByColumn="false" AllowSorting="false" AllowPaging="false" CommandItemDisplay="None"
                                                    TabIndex="82" Width="800" PageSize="10" ShowHeadersWhenNoRecords="true">
                                                    <NoRecordsTemplate>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="84">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                                            </tr>
                                                        </table>
                                                    </NoRecordsTemplate>
                                                    <ColumnGroups>
                                                        <telerik:GridColumnGroup HeaderText="Team / Provider" Name="provider" />
                                                        <telerik:GridColumnGroup HeaderText="Last Mammogram" Name="last_mam" />
                                                        <telerik:GridColumnGroup HeaderText="Next Mammogram" Name="next_mam" />
                                                    </ColumnGroups>
                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column" ColumnGroupName="provider"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name" ColumnGroupName="provider"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridDateTimeColumn DataField="DateOfLastMammogram" UniqueName="DateOfLastMammogram"
                                                            HeaderText="Date Performed" HeaderTooltip="Last Mam Date Column" ColumnGroupName="last_mam"
                                                            AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None">
                                                        </telerik:GridDateTimeColumn>
                                                        <telerik:GridBoundColumn DataField="BiRadCode" UniqueName="BiRadCode" HeaderText="BI-RADS Code"
                                                            HeaderTooltip="BiRad Column" ColumnGroupName="last_mam" HeaderButtonType="None" />
                                                        <telerik:GridDateTimeColumn DataField="DateDesired" UniqueName="DateDesired" HeaderText="Date Desired"
                                                            FilterControlAltText="Filter Textbox for Date Desired for Next Mammogram"
                                                            FilterControlToolTip="Filter Textbox for Date Desired for Next Mammogram"
                                                            HeaderTooltip="Date Desired Column" FilterControlWidth="100" ColumnGroupName="next_mam"
                                                            DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None">
                                                        </telerik:GridDateTimeColumn>
                                                    </Columns>
                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>

                <telerik:RadPanelItem Value="MamFoll" Visible="false" Enabled="true" Text="Mammogram Follow-up and Patient Notification" runat="server" Font-Bold="true">
                    <Items>
                        <telerik:RadPanelItem Value="MammogramFollowUp" runat="server">
                            <ItemTemplate>

                                <table>
                                    <tr>
                                        <td>&nbsp;&nbsp;
                                        </td>
                                        <td>
                                            <telerik:RadGrid ID="rgAllMamWithFollowUp" runat="server" ShowGroupPanel="false"
                                                EnableAjaxSkinRendering="true" EnableLinqExpressions="false" ShowStatusBar="true"
                                                TabIndex="86">
                                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="false"
                                                    AllowPaging="false" CommandItemDisplay="None" TabIndex="88" Width="800" PageSize="10"
                                                    ShowHeadersWhenNoRecords="true">
                                                    <NoRecordsTemplate>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="90">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                                            </tr>
                                                        </table>
                                                    </NoRecordsTemplate>
                                                    <ColumnGroups>
                                                        <telerik:GridColumnGroup HeaderText="Team / Provider" Name="provider" />
                                                        <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                                                        <telerik:GridColumnGroup HeaderText="Last Mammogram" Name="last_mam" />
                                                        <telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />
                                                    </ColumnGroups>
                                                    <Columns>
                                                        <telerik:GridBoundColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                                                            HeaderTooltip="PACT Team Column" ColumnGroupName="provider"
                                                            HeaderButtonType="None" EmptyDataText="Unassigned PACT Team" />
                                                        <telerik:GridBoundColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                                                            HeaderText="Provider Name" ColumnGroupName="provider"
                                                            HeaderTooltip="Provider Column"
                                                            EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn DataField="Date_Of_Last_Mammogram" UniqueName="Date_Of_Last_Mammogram"
                                                            HeaderText="Date Performed" HeaderTooltip="Last Mam Date Column" ColumnGroupName="last_mam"
                                                            AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None">
                                                        </telerik:GridBoundColumn>
                                                        <telerik:GridBoundColumn DataField="BiRad_Code" UniqueName="BiRad_Code" HeaderText="BI-RADS Code"
                                                            HeaderTooltip="BiRad Column" ColumnGroupName="last_mam" FilterControlWidth="50" HeaderButtonType="None" />
                                                        <telerik:GridBoundColumn DataField="procedure_location" UniqueName="procedure_location" HeaderText="Procedure Location"
                                                            FilterControlAltText="Filter Textbox for Location of Last Mam" FilterControlToolTip="Filter Textbox for Location of Last Mam"
                                                            HeaderTooltip="Location of Last Mam Column" ColumnGroupName="last_mam" FilterControlWidth="30"
                                                            HeaderButtonType="None" />

                                                        <telerik:GridBoundColumn HeaderText="BI-RADS Follow-up" DataField="BIRADS_Followup_Action"
                                                            ColumnGroupName="last_mam" AllowFiltering="false" UniqueName="AMWF_BIRADS_Followup_Action_Report"
                                                            HeaderButtonType="None">
                                                        </telerik:GridBoundColumn>
                                                        <telerik:GridBoundColumn DataField="Patient_Notification" UniqueName="Patient_Notification"
                                                            HeaderText="Patient Notification" HeaderTooltip="Patient Notification Column" HeaderButtonType="None"
                                                            ColumnGroupName="last_mam" />
                                                    </Columns>
                                                </MasterTableView>
                                            </telerik:RadGrid>

                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>


            </Items>
            <CollapseAnimation Duration="0" Type="None" />
            <ExpandAnimation Duration="0" Type="None" />
        </telerik:RadPanelBar>

    </telerik:RadAjaxPanel>

</asp:Panel>


<table id="Table2" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
    style="table-layout: fixed; margin-left: 15px;">
    <!-- Done button -->
    <tr>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td align="center" colspan="2">
            <asp:Button ID="btnCancel" Text="Done" runat="server" CausesValidation="False"
                CommandName="Cancel"></asp:Button>
            &nbsp;&nbsp;
            <asp:Button ID="btnExpandAll" Text="Expand All" runat="server" CausesValidation="False"
                CommandName="Expand" OnClick="btnExpandAll_Click"></asp:Button>
        </td>
    </tr>
    <tr>
        <td>&nbsp;</td>
    </tr>
</table>
