﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="BreastSurgeries_PD.ascx.cs" Inherits="Reports_Controls_BreastSurgeries_PD" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<asp:Panel ID="Panel1" runat="server" GroupingText="<b>Team / Provider</b>">
    <table id="Table5" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
            style="table-layout: fixed; margin-left: 15px;">
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Label2" runat="server" Text="PACT Team:" Font-Bold="false" AssociatedControlID="lbName" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbName" Text='<%# DataBinder.Eval( Container, "DataItem.team_name" ) %>'
                        runat="server" TabIndex="101"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label3" runat="server" Text="Provider Name:" Font-Bold="false" AssociatedControlID="lbProviderName" />
            </td>
            <td>
                <asp:Label ID="lbProviderName" Text='<%# DataBinder.Eval( Container, "DataItem.primary_care_physician" ) %>'
                    runat="server" TabIndex="102"></asp:Label>
            </td>
        </tr>
    </table>    
</asp:Panel>

<asp:Panel ID="Panel2" runat="server" GroupingText="<b>Patient</b>">
    <table id="Table4" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
            style="table-layout: fixed; margin-left: 15px;">
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Label4" runat="server" Text="Patient Name:" Font-Bold="false" AssociatedControlID="lbPatientName" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientName" Text='<%# DataBinder.Eval( Container, "DataItem.Patient_name" ) %>'
                                            runat="server" TabIndex="104"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label6" runat="server" Text="Patient Age:" Font-Bold="false" AssociatedControlID="lbPatientAge" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientAge" Text='<%# DataBinder.Eval( Container, "DataItem.age" ) %>'
                            runat="server" TabIndex="105" ReadOnly="true"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label7" runat="server" Text="Patient Race:" Font-Bold="false" AssociatedControlID="lbPatientRace" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientRace" Text='<%# DataBinder.Eval( Container, "DataItem.race" ) %>'
                        runat="server" TabIndex="106" ReadOnly="true"></asp:Label> 
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label5" runat="server" Text="Patient Last 4:" Font-Bold="false" AssociatedControlID="lbPatientSSN" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientSSN" Text='<%# DataBinder.Eval( Container, "DataItem.Patient_SSN" ) %>'
                        runat="server" TabIndex="107"></asp:Label> 
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label8" runat="server" Text="Patient Gender:" Font-Bold="false" AssociatedControlID="lbPatientGender" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientGender" Text='<%# DataBinder.Eval( Container, "DataItem.Gender" ) %>'
                        runat="server" TabIndex="108"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label16" runat="server" Text="Patient Zip:" Font-Bold="false" AssociatedControlID="lbPatientZip" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientZip" Text='<%# DataBinder.Eval( Container, "DataItem.patient_zip" ) %>'
                        runat="server" TabIndex="110"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Panel>

<asp:Panel ID="Panel3" runat="server" GroupingText="<b>Surgery Report</b>">
    <table id="Table8" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
            style="table-layout: fixed; margin-left: 15px;">
        <tr>
            <td style="width: 120px">
                <asp:Label ID="lbSurgeryDate" runat="server" Text="Report Date:" Font-Bold="false" AssociatedControlID="tbSurgeryDate" />
            </td>
            <td>
                <asp:Label ID="tbSurgeryDate" Text='<%# DataBinder.Eval( Container, "DataItem.date_performed", "{0:M/d/yyyy}" ) %>'
                    runat="server" TabIndex="118"></asp:Label>
            </td>   
        </tr>
        <tr>                 
            <td>
                <asp:Label ID="Label1" runat="server" Text="Location:" Font-Bold="false" AssociatedControlID="tbSurgeryLocation" />
            </td>
            <td>
                <asp:label ID="tbSurgeryLocation" Text='<%# DataBinder.Eval( Container, "DataItem.procedure_location") %>'
                    runat="server" TabIndex="118"></asp:label>
            </td>
        </tr>  
        <tr>
            <td>
                <asp:Label ID="Label11" runat="server" Text="Surgery:" Font-Bold="false" AssociatedControlID="lblSurgery" />
            </td>
            <td>
                <asp:Label ID="lblSurgery" Text='<%# configureLinkText("BS_", "surgery", DataBinder.Eval(Container, "DataItem.surgery").ToString()) %>'
                    runat="server" TabIndex="123"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Panel>

<asp:Panel ID="Panel4" runat="server" GroupingText="<b>Pathology</b>">
    <table id="Table1" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
            style="table-layout: fixed; margin-left: 15px;">
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Label9" runat="server" Text="Report:" Font-Bold="false" AssociatedControlID="lblPathologyReport" />
            </td>
            <td>
                <asp:Label ID="lblPathologyReport" Text='<%# configureLinkText("BS_", "Pathology_Report", DataBinder.Eval(Container, "DataItem.Pathology_Report").ToString()) %>'
                    runat="server" TabIndex="117"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Panel>

<table id="Table2" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
    style="table-layout: fixed; margin-left: 15px;">
    <!-- Done button -->
    <tr>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td align="center" colspan="2">
            <asp:Button ID="btnCancel" Text="Done" runat="server" CausesValidation="False"
                CommandName="Cancel"></asp:Button>
        </td>
    </tr>
    <tr>
        <td>&nbsp;</td>
    </tr>
</table>
