﻿<%@ Page Title="" Language="C#" AutoEventWireup="true" CodeFile="MammogramsByDiagnosis_Agg.aspx.cs"
    Inherits="BiRad" MasterPageFile="~/Registry.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function focusFilterMenu(sender, args) {
                window.setTimeout(function () { args.get_menu().get_items().getItem(0).blur(); args.get_menu().get_items().getItem(0).focus(); }, 1);
            }
        </script>
      
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rtvDivision">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rtvDivision" />
                    <telerik:AjaxUpdatedControl ControlID="rblReportType" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="btnCreateReport" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnCreateReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="divReports" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="WebBlue" />
    <asp:Panel runat="server" ID="Panel1" GroupingText="Select Division" Font-Bold="true">
        <telerik:RadTreeView runat="server" ID="rtvDivision" MultipleSelect="true" CheckBoxes="true"
            Height="300" AccessKey="t" OnNodeCheck="rtvDivision_NodeCheck" OnNodeClick="rtvDivision_NodeClick" />
    </asp:Panel>
    <table>        
        <tr>
            <td>
                <asp:Label runat="server" ID="Label1" Text="Mammogram Date:" AssociatedControlID="rtvDivision" /><br />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="Label2" Text="From Date:" AssociatedControlID="fromDate" /><br />
                <telerik:RadDatePicker ID="fromDate" runat="server" ZIndex="30001" TabIndex="4" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_fromDate" ControlToValidate="fromDate"
                    ErrorMessage="'From Date:' is a required field" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="Label3" Text="To Date:" AssociatedControlID="toDate" /><br />
                <telerik:RadDatePicker ID="toDate" runat="server" ZIndex="30001" TabIndex="5" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_toDate" ControlToValidate="toDate"
                    ErrorMessage="'To Date:' is a required field" />

                <asp:CompareValidator runat="server" ID="dateCompareValidator" ControlToValidate="toDate"
                    ControlToCompare="fromDate" Operator="GreaterThanEqual" Type="Date"
                    ErrorMessage="'From Date:' must precede 'To Date:'" />
            </td>
        </tr>
    </table>
    <table>
        <tr>
            <td>
                <asp:RadioButtonList ID="rblReportType" runat="server">
                    <asp:ListItem Selected="True" Text="Grid (Unlimited comparison)"></asp:ListItem>
                    <asp:ListItem Text="Grid + Pie Chart (Max 2 comparison)"></asp:ListItem>
                    <asp:ListItem Text="Grid + Stacked Bar Chart (Max 6 comparison)"></asp:ListItem>
                </asp:RadioButtonList>
                <br />
                <asp:Button ID="btnCreateReport" runat="server" Text="Create Report" OnClick="btnGetReport_Click"
                    Enabled="false" />
                <br />
                <br />
            </td>
        </tr>
    </table>
    <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS"
        OnClick="btnExport_Click" ToolTip="Export to Excel" />
    <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" ToolTip="Export to CSV"
        OnClick="btnExport_Click" />
    <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" ToolTip="Export to PDF"
        OnClick="btnExport_Click" />
    <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" ToolTip="Export to DOC"
        OnClick="btnExport_Click" />
    <div runat="server" id="divReports">
        <table>
            <tr>
                <td colspan="2">
                    <b>Mammograms by Diagnosis Aggregates by Selected Division</b>
                    <telerik:RadGrid ID="rgAggregateData" runat="server" AllowMultiRowEdit="false" ShowGroupPanel="false"
                        EnableAjaxSkinRendering="true" EnableLinqExpressions="false" ShowStatusBar="true"
                        OnNeedDataSource="rgAggregateData_NeedDataSource" OnItemCommand="rgAggregateData_ItemCommand"
                        TabIndex="5" AllowFilteringByColumn="false" OnItemDataBound="rgAggregateData_ItemDataBound"
                        OnItemCreated="rgAggregateData_ItemCreated"
                        OnExcelMLExportStylesCreated="rgAggregateData_ExcelMLExportStylesCreated" OnExcelMLExportRowCreated="rgAggregateData_ExcelMLExportRowCreated">
                        <MasterTableView AutoGenerateColumns="false" AllowPaging="true" AllowSorting="true"
                            CommandItemDisplay="None" TabIndex="5" Width="800" PageSize="10">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="14">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <ColumnGroups>
                                <telerik:GridColumnGroup HeaderText="Age Range" Name="age" />
                                <telerik:GridColumnGroup HeaderText="Race" Name="race" />
                                <telerik:GridColumnGroup HeaderText="Gender" Name="gender" />
                                <telerik:GridColumnGroup HeaderText="BI-RADS Code" Name="birad" />
                                <telerik:GridColumnGroup HeaderText="ICD-9 Codes" Name="icd9" />
                            </ColumnGroups>
                            <Columns>
                                <telerik:GridBoundColumn DataField="Division" UniqueName="Division" HeaderText="Division"
                                    HeaderTooltip="Division Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center">
                                </telerik:GridBoundColumn>
                                <telerik:GridTemplateColumn DataField="age030" UniqueName="age030" HeaderText="0 - 30"
                                    HeaderTooltip="Age 0 to 30 Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center"
                                    ColumnGroupName="age">
                                    <ItemTemplate>
                                        <%# FormatData("age030")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="age3140" UniqueName="age3140" HeaderText="31 - 40"
                                    HeaderTooltip="Age 31 to 40 Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center"
                                    ColumnGroupName="age">
                                    <ItemTemplate>
                                        <%# FormatData("age3140")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="age4150" UniqueName="age4150" HeaderText="41 - 50"
                                    HeaderTooltip="Age 41 to 50 Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center"
                                    ColumnGroupName="age">
                                    <ItemTemplate>
                                        <%# FormatData("age4150")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="age5164" UniqueName="age5164" HeaderText="51 - 64"
                                    HeaderTooltip="Age 51 to 64 Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center"
                                    ColumnGroupName="age">
                                    <ItemTemplate>
                                        <%# FormatData("age5164")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="over_64" UniqueName="over_64" HeaderText="Over 64"
                                    HeaderTooltip="Age over 64 Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center"
                                    ColumnGroupName="age">
                                    <ItemTemplate>
                                        <%# FormatData("over_64")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="american_indian" UniqueName="american_indian"
                                    HeaderText="American Indian or Alaska Native" HeaderTooltip="Race American Indian or Alaska Native Column"
                                    ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center" ColumnGroupName="race">
                                    <ItemTemplate>
                                        <%# FormatData("american_indian")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="Asian" UniqueName="Asian" HeaderText="Asian"
                                    HeaderTooltip="Race Asian Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center"
                                    ColumnGroupName="race">
                                    <ItemTemplate>
                                        <%# FormatData("Asian")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="African_american" UniqueName="African_american"
                                    HeaderText="Black or African-American" HeaderTooltip="Race African-American Column"
                                    ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center" ColumnGroupName="race">
                                    <ItemTemplate>
                                        <%# FormatData("african_american")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="White" UniqueName="White" HeaderText="White"
                                    HeaderTooltip="Race White Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center"
                                    ColumnGroupName="race">
                                    <ItemTemplate>
                                        <%# FormatData("White")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="native_hawaiian" UniqueName="native_hawaiian"
                                    HeaderText="Native Hawaiian or Other Pacific Islander" HeaderTooltip="Race Native Hawaiian or Other Pacific Islander Column"
                                    ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center" ColumnGroupName="race">
                                    <ItemTemplate>
                                        <%# FormatData("native_hawaiian")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="declined_to_answer" UniqueName="declined_to_answer"
                                    HeaderText="Unknown" HeaderTooltip="Race Unknown Column" ItemStyle-Wrap="false"
                                    ItemStyle-HorizontalAlign="Center" ColumnGroupName="race">
                                    <ItemTemplate>
                                        <%# FormatData("declined_to_answer")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="Male" UniqueName="Male" HeaderText="Male"
                                    HeaderTooltip="Gender Male Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center"
                                    ColumnGroupName="gender">
                                    <ItemTemplate>
                                        <%# FormatData("Male")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="Female" UniqueName="Female" HeaderText="Female"
                                    HeaderTooltip="Gender Female Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center"
                                    ColumnGroupName="gender">
                                    <ItemTemplate>
                                        <%# FormatData("Female")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="gender_unknown" UniqueName="gender_unknown"
                                    HeaderText="Unknown" HeaderTooltip="Gender Unknown Column" ItemStyle-Wrap="false"
                                    ItemStyle-HorizontalAlign="Center" ColumnGroupName="gender">
                                    <ItemTemplate>
                                        <%# FormatData("gender_unknown")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn HeaderText="0" HeaderStyle-Wrap="false" HeaderTooltip="BI-RADS 1 Column"
                                    ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center" ColumnGroupName="birad">
                                    <ItemTemplate>
                                        <%# FormatData("birad0") %>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="birad1" UniqueName="birad1" HeaderText="1"
                                    HeaderStyle-Wrap="false" HeaderTooltip="BI-RADS 1 Column" ItemStyle-Wrap="false"
                                    ItemStyle-HorizontalAlign="Center" ColumnGroupName="birad">
                                    <ItemTemplate>
                                        <%# FormatData("birad1") %>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="birad2" UniqueName="birad2" HeaderText="2"
                                    HeaderStyle-Wrap="false" HeaderTooltip="BI-RADS 2 Column" ItemStyle-Wrap="false"
                                    ItemStyle-HorizontalAlign="Center" ColumnGroupName="birad">
                                    <ItemTemplate>
                                        <%# FormatData("birad2") %>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="birad3" UniqueName="birad3" HeaderText="3"
                                    HeaderStyle-Wrap="false" HeaderTooltip="BI-RADS 3 Column" ItemStyle-Wrap="false"
                                    ItemStyle-HorizontalAlign="Center" ColumnGroupName="birad">
                                    <ItemTemplate>
                                        <%# FormatData("birad3") %>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="birad4" UniqueName="birad4" HeaderText="4"
                                    HeaderStyle-Wrap="false" HeaderTooltip="BI-RADS 4 Column" ItemStyle-Wrap="false"
                                    ItemStyle-HorizontalAlign="Center" ColumnGroupName="birad">
                                    <ItemTemplate>
                                        <%# FormatData("birad4") %>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="birad5" UniqueName="birad5" HeaderText="5"
                                    HeaderStyle-Wrap="false" HeaderTooltip="BI-RADS 5 Column" ItemStyle-Wrap="false"
                                    ItemStyle-HorizontalAlign="Center" ColumnGroupName="birad">
                                    <ItemTemplate>
                                        <%# FormatData("birad5") %>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="birad6" UniqueName="birad6" HeaderText="6"
                                    HeaderStyle-Wrap="false" HeaderTooltip="BI-RADS 6 Column" ItemStyle-Wrap="false"
                                    ItemStyle-HorizontalAlign="Center" ColumnGroupName="birad">
                                    <ItemTemplate>
                                        <%# FormatData("birad6") %>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="icd174" UniqueName="icd174" HeaderText="174"
                                    HeaderTooltip="icd9174 Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center"
                                    ColumnGroupName="icd9">
                                    <ItemTemplate>
                                        <%# FormatData("icd174")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="icd175" UniqueName="icd175" HeaderText="175"
                                    HeaderTooltip="icd9175 Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center"
                                    ColumnGroupName="icd9">
                                    <ItemTemplate>
                                        <%# FormatData("icd175")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                            </Columns>
                        </MasterTableView>
                        <ClientSettings AllowKeyboardNavigation="true">
                            <Selecting AllowRowSelect="true" />
                            <ClientEvents OnFilterMenuShowing="focusFilterMenu" />
                            <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                        </ClientSettings>
                        <PagerStyle Mode="NextPrevAndNumeric" />
                    </telerik:RadGrid>
                    <br />
                </td>
            </tr>
            <tr>
                <td>
                    <table>
                        <tr>
                            <td>
                                <telerik:RadHtmlChart runat="server" ID="rcPie1" Width="500" Transitions="true" Visible="false" />
                            </td>
                            <td>
                                <telerik:RadHtmlChart runat="server" ID="rcPie2" Width="500" Transitions="true" />
                            </td>
                        </tr>
                    </table>
                    <telerik:RadHtmlChart runat="server" ID="rcBar" Width="800px" Height="600px" Visible="false"
                        OnClientSeriesClicked="OnBarSliceClicked" OnClientSeriesHovered="OnClientSeriesHovered">
                        <PlotArea>
                            <Series>
                                <telerik:ColumnSeries Name="0: Incomplete" Stacked="true" DataFieldY="birad0p">
                                    <TooltipsAppearance DataFormatString="{0}%" />
                                    <LabelsAppearance DataFormatString="{0}%" Position="InsideBase" />
                                </telerik:ColumnSeries>
                                <telerik:ColumnSeries Name="1: Negative" Stacked="true" DataFieldY="birad1p">
                                    <TooltipsAppearance DataFormatString="{0}%" />
                                    <LabelsAppearance DataFormatString="{0}%" Position="InsideBase" />
                                </telerik:ColumnSeries>
                                <telerik:ColumnSeries Name="2: Benign finding(s)" Stacked="true" DataFieldY="birad2p">
                                    <TooltipsAppearance DataFormatString="{0}%" />
                                    <LabelsAppearance DataFormatString="{0}%" Position="InsideBase" />
                                </telerik:ColumnSeries>
                                <telerik:ColumnSeries Name="3: Probably benign" Stacked="true" DataFieldY="birad3p">
                                    <TooltipsAppearance DataFormatString="{0}%" />
                                    <LabelsAppearance DataFormatString="{0}%" Position="InsideBase" />
                                </telerik:ColumnSeries>
                                <telerik:ColumnSeries Name="4: Suspicious abnormality" Stacked="true" DataFieldY="birad4p">
                                    <TooltipsAppearance DataFormatString="{0}%" />
                                    <LabelsAppearance DataFormatString="{0}%" Position="InsideBase" />
                                </telerik:ColumnSeries>
                                <telerik:ColumnSeries Name="5: Highly suggestive of malignancy" Stacked="true" DataFieldY="birad5p">
                                    <Appearance FillStyle-BackgroundColor="Red" />
                                    <TooltipsAppearance DataFormatString="{0}%" />
                                    <LabelsAppearance DataFormatString="{0}%" Position="InsideBase" />
                                </telerik:ColumnSeries>
                                <telerik:ColumnSeries Name="6: Known biopsy – proven malignancy" Stacked="true" DataFieldY="birad6p">
                                    <Appearance FillStyle-BackgroundColor="PeachPuff" />
                                    <TooltipsAppearance DataFormatString="{0}%" />
                                    <LabelsAppearance DataFormatString="{0}%" Position="InsideBase" />
                                </telerik:ColumnSeries>
                            </Series>
                            <XAxis DataLabelsField="Division">
                                <LabelsAppearance RotationAngle="45" />
                            </XAxis>
                            <YAxis MaxValue="100" MinValue="0">
                                <LabelsAppearance DataFormatString="{0}%" />
                            </YAxis>
                        </PlotArea>
                        <ChartTitle Text="BI-RADS Codes by Selected Division">
                        </ChartTitle>
                    </telerik:RadHtmlChart>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
