﻿<%@ Page Title="Patient Details Page" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="PatientDetails.aspx.cs" Inherits="Reports_PatientDetails" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <style type="text/css">
        /**************************************
        * PATIENT DETAILS STYLES
        **************************************/
        .patientDetailsHeader {
            background-color: #00416c; /*1e2d54*/
            height: 30px;
            font-size: 10pt;
            font-weight: bold;
            color: #FFFFFF;
            border: 0px solid #999999;
            vertical-align: middle;
            text-align: left;
        }

        .patientDetailsTable {
            border: 1px solid #999999;
        }

        .patientDetailsTableHeader {
            background-color: #f4f4f4;
            border-bottom: 1px solid #999999;
            font-weight: bold;
        }

        .patientDetailsScrollableContentArea {
            max-height: 200px;
            min-height: 50px;
            overflow: auto;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <div style="padding: 5px; padding-left: 8px;">
        <table style="width: 960px;" cellpadding="5" class="patientDetailsTable">
            <tr>
                <td colspan="100%" class="patientDetailsHeader">Patient Name:
                    <asp:Label ID="lblPatientName" runat="server" ToolTip="Patient Name" />
                    <asp:Label ID="lblPatientSSN" runat="server" ToolTip="Last 4 of SSN" />
                    <%--(ID: <%=patientSID%>)--%>
                </td>
            </tr>
            <tr>
                <td style="width: 25%; background-color: #eee;">Age:<br />
                    <asp:Label ID="lblPatientAge" runat="server" ToolTip="Patient Age" />
                </td>
                <td style="width: 25%; background-color: #eee;">Race:<br />
                    <asp:Label ID="lblPatientRace" runat="server" ToolTip="Patient Race" />
                    <br /><br />
                    Gender:<br />
                    <asp:Label ID="lblPatientGender" runat="server" ToolTip="Patient Gender" />
                </td>
                <td style="width: 25%; background-color: #eee;">
                    Contact Information
                    <table style="width:100%;">
                        <tr>
                            <td>Home:</td>
                            <td><asp:Label ID="lblHomePhone" runat="server" ToolTip="Home Residence Phone" /></td>
                        </tr>
                        <tr>
                            <td>Work:</td>
                            <td><asp:Label ID="lblWorkPhone" runat="server" ToolTip="Work Phone" /></td>
                        </tr>
                        <tr>
                            <td>Cell:</td>
                            <td><asp:Label ID="lblCellPhone" runat="server" ToolTip="Cell Phone" /></td>
                        </tr>
                    </table>
                </td>
                <td style="width: 25%; background-color: #eee;">Address:<br />
                    <asp:Label ID="lblPatientAddressInformation" runat="server" ToolTip="Patient Address Information" />
                    <%--<asp:Label ID="lblPatientAddressLine1" runat="server" ToolTip="Patient Address Line 1" /><br />
                    <asp:Label ID="lblPatientAddressLine2" runat="server" ToolTip="Patient Address Line 2" /><br />
                    <asp:Label ID="lblPatientAddressLine3" runat="server" ToolTip="Patient Address Line 3" /><br />
                    <asp:Label ID="lblPatientAddressCity" runat="server" ToolTip="Patient Address City" />, <asp:Label ID="lblPatientAddressState" runat="server" ToolTip="Patient Address State" /> <asp:Label ID="lblPatientPostalCode" runat="server" ToolTip="Patient Postal Code" />--%>
                </td>
            </tr>
            <tr>
                <td colspan="100%">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="2" class="patientDetailsHeader">Team</td>
                <td colspan="2" class="patientDetailsHeader">Next Appointment</td>
            </tr>
            <tr>
                <td colspan="2" style="width: 50%; background-color: #eee;">PACT Team:<br />
                    <asp:Label ID="lblTeamName" runat="server" ToolTip="PACT Team Name" />
                    <br /><br />
                    Provider:<br />
                    <asp:Label ID="lblProviderName" runat="server" ToolTip="Provider Name" />
                </td>
                <td colspan="2" style="width: 50%; background-color: #eee;">
                    Date of Next Appointment:<br />
                    <asp:Label ID="lblDateOfNextAppointment" runat="server" ToolTip="Date of Next Appointment" />
                    <br /><br />
                    Location of Next Appointment:<br />
                    <asp:Label ID="lblLocationOfNextAppointment" runat="server" ToolTip="Location of Next Appointment" />
                </td>
            </tr>
            <tr>
                <td colspan="100%">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="100%" class="patientDetailsHeader">Radiology History</td>
            </tr>
            <tr>
                <td colspan="100%" style="width: 100%; background-color: #eee;">
                    <telerik:RadGrid ID="rgHistory" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true"
                        TabIndex="6">
                        <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID"
                            AllowFilteringByColumn="true" AllowSorting="true" AllowPaging="false" CommandItemDisplay="None"
                            TabIndex="12" Width="100%" PageSize="8" ShowHeadersWhenNoRecords="true">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="exam_date" UniqueName="history_exam_date_gui" HeaderText="Date Performed" HeaderTooltip="Date Performed Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="ProcedureName" UniqueName="history_ProcedureName_gui" HeaderText="Procedure" HeaderTooltip="Procedure Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="BIRADScore" UniqueName="history_BIRADScore_gui" HeaderText="BI-RADS Code" HeaderTooltip="BI-RADS Code Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <%--<telerik:GridBoundColumn DataField="impressiontextwp" UniqueName="history_impressiontextwp_gui" HeaderText="Impression" HeaderTooltip="Impression Column"
                                    HeaderButtonType="None" AllowFiltering="true" />--%>
                                <telerik:GridBoundColumn DataField="HospitalDivision" UniqueName="history_HospitalDivision_gui" HeaderText="Hospital Division" HeaderTooltip="Hospital Division Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="OrderingProvider" UniqueName="history_OrderingProvider_gui" HeaderText="Requesting Physician" HeaderTooltip="Requesting Physician Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </td>
            </tr>
            <tr>
                <td colspan="100%">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="100%" class="patientDetailsHeader">Diagnosis</td>
            </tr>
            <tr>
                <td colspan="100%">
                    <!--Start Grid-->
                    <telerik:RadGrid ID="rgDiagnosisHx" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true"
                        TabIndex="6">
                        <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID"
                            AllowFilteringByColumn="true" AllowSorting="true" AllowPaging="false" CommandItemDisplay="None"
                            TabIndex="12" Width="100%" PageSize="8" ShowHeadersWhenNoRecords="true">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                                No Diagnosis History was found for this patient.
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="VisitDateTime" UniqueName="VisitDateTime_gui" HeaderText="Visit Date" HeaderTooltip="Visit Date Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="ICD9Code" UniqueName="ICD9Code_gui" HeaderText="ICD Code" HeaderTooltip="ICD Code Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="ICD9Description" UniqueName="ICD9Description_gui" HeaderText="ICD Code Desc." HeaderTooltip="ICD Code Desc. Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <%--<telerik:GridBoundColumn DataField="info" UniqueName="info_gui" HeaderText="Diagnosis Information" HeaderTooltip="Diagnosis Information Column"
                                    HeaderButtonType="None" AllowFiltering="true" />--%>
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                    <!--End Grid-->
                </td>
            </tr>
            <tr>
                <td colspan="100%">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="100%" class="patientDetailsHeader">Tumor Registry Data</td>
            </tr>
            <tr>
                <td colspan="100%" style="width: 100%; background-color: #eee;">
                    <telerik:RadGrid ID="rgTumorRegData" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true"
                        TabIndex="6">
                        <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID"
                            AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                            TabIndex="12" Width="100%" PageSize="5" ShowHeadersWhenNoRecords="true">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                                No Tumor Registry Data was found for this patient.
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="date_dx" UniqueName="date_dx_gui" HeaderText="Event Date" HeaderTooltip="Event Date Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <%--<telerik:GridBoundColumn DataField="Data_Source" UniqueName="Data_Source_gui" HeaderText="Data Source" HeaderTooltip="Data Source Column"
                                    HeaderButtonType="None" AllowFiltering="true" />--%>
                                <telerik:GridBoundColumn DataField="textdxproclabtestswp" UniqueName="textdxproclabtestswp_gui" HeaderText="Result" HeaderTooltip="Tumor Registry Data Result Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="textdxprocpewp" UniqueName="textdxprocpewp_gui" HeaderText="Details" HeaderTooltip="Tumor Registry Details Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </td>
            </tr>
            <tr>
                <td colspan="100%">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="100%" class="patientDetailsHeader">Treatment</td>
            </tr>
            <tr>
                <td colspan="100%" style="background-color: #eee;">
                    <strong>Chemotherapy</strong>
                    <br />
                    <telerik:RadGrid ID="rgChemotherapy" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true"
                        TabIndex="6">
                        <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                            TabIndex="12" Width="100%" PageSize="5" ShowHeadersWhenNoRecords="false">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                                No Chemotherapy records found for patient.
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="chemotherapy_date" UniqueName="chemotherapy_date_gui" HeaderText="Treatment Date" HeaderTooltip="Treatment Date Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <%--<telerik:GridBoundColumn DataField="Data_Source" UniqueName="Data_Source_gui" HeaderText="Data Source" HeaderTooltip="Data Source Column"
                                    HeaderButtonType="None" AllowFiltering="true" />--%>
                                <telerik:GridBoundColumn DataField="chemotherapy" UniqueName="chemotherapy_gui" HeaderText="Type" HeaderTooltip="Chemotherapy Type Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="rxtextchemowp" UniqueName="rxtextchemowp_gui" HeaderText="Details" HeaderTooltip="Chemotherapy Details Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </td>
            </tr>
            <tr>
                <td colspan="100%" style="background-color: #eee;">
                    <strong>Radiation Therapy</strong>
                    <br />
                    <telerik:RadGrid ID="rgRadiationTherapy" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true"
                        TabIndex="6">
                        <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                            TabIndex="12" Width="100%" PageSize="5" ShowHeadersWhenNoRecords="false">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                                No Radiation records found for patient.
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="radiation" UniqueName="rad_radiation_gui" HeaderText="Radiation" HeaderTooltip="Radiation Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="radiationsurgery_sequence" UniqueName="rad_radiationsurgery_sequence_gui" HeaderText="Radiation/Surgery Seq." HeaderTooltip="Radiation / Surgery Sequence Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="reason_for_no_radiation" UniqueName="rad_reason_for_no_radiation_gui" HeaderText="Reason for No Radiation" HeaderTooltip="Reason for No Radiation Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="rxtextradiationwp" UniqueName="rad_rxtextradiationwp_gui" HeaderText="Radiation Details" HeaderTooltip="Radiation Details Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="rxtextradiationotherwp" UniqueName="rad_rxtextradiationotherwp_gui" HeaderText="Radiation Therapy Details" HeaderTooltip="Radiation Therapy Details Column"
                                    HeaderButtonType="None" AllowFiltering="true" />                               
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </td>
            </tr>
            <tr>
                <td colspan="100%" style="background-color: #eee;">
                    <strong>Hormonal Therapy</strong>
                    <br />
                    <telerik:RadGrid ID="rgHormoneTherapy" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true"
                        TabIndex="6">
                        <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                            TabIndex="12" Width="100%" PageSize="5" ShowHeadersWhenNoRecords="false">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                                No Hormonal Therapy records found for patient.
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="hormone_therapy_date" UniqueName="h_hormone_therapy_date_gui" HeaderText="Start Date" HeaderTooltip="Hormone Therapy Start Date Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="hormone_therapy" UniqueName="h_hormone_therapy_gui" HeaderText="Hormone Therapy" HeaderTooltip="Hormone Therapy Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="rxtexthormonewp" UniqueName="h_rxtexthormonewp_gui" HeaderText="Hormone Rx" HeaderTooltip="Hormone Prescription Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </td>
            </tr>
            <tr>
                <td colspan="100%" style="background-color: #eee;">
                    <strong>Medications</strong>
                    <br />
                </td>
            </tr>
            <tr>
                <td colspan="100%">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="100%" class="patientDetailsHeader">Biopsies / Surgeries</td>
            </tr>
            <tr>
                <td colspan="100%">
                    <!--Start Grid-->
                    <telerik:RadGrid ID="rgBiopsySurgery" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true"
                        TabIndex="6">
                        <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID"
                            AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="false" CommandItemDisplay="None"
                            TabIndex="12" Width="100%" PageSize="8" ShowHeadersWhenNoRecords="true">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                                No Biopsies / Surgeries were found for this patient.
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="ProcedureDate" UniqueName="ProcedureDate_gui" HeaderText="Procedure Date" HeaderTooltip="Procedure Date Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="Procedure" UniqueName="Procedure_gui" HeaderText="Procedure" HeaderTooltip="Procedure Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="HospitalLocation" UniqueName="HospitalLocation_gui" HeaderText="Hospital Location" HeaderTooltip="Hospital Location Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                    <!--End Grid-->
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
